<html>
<head>
<title>Session Details</title>
<style>
body {
	padding: 40px;
	background-color: #DDD;}
td {
  font-family: Verdana;
  font-size: 12px;}
.label {
	text-align: right;
	vertical-align: top;
	padding-right: 10px;
	white-space:nowrap;
	color: gray;}
</style>
</head>
<body>
<cfif IsDefined("Session.Access") and IsDefined("url.id") and IsNumeric(url.id)>
	<cfquery name="Stat" dataSource="#Application.psDataSource#">
	select * from #Application.psStatsTable# where ID = #Val(url.id)#
	</cfquery>
	<table>
	<cfoutput query="Stat">
		<tr>
			<td class="label">Session ID</td>
			<td>#SessionID#</td>
		</tr>
		<tr>
			<td class="label">IP Address</td>
			<td>#SessionIP#</td>
		</tr>
		<tr>
			<td class="label">Initial Request</td>
			<td>#DateFormat(SessionStarted_dt,"dddd, mmmm d, yyyy")# @ #TimeFormat(SessionStarted_dt,"h:mm:ss tt")#</td>
		</tr>
		<tr>
			<td class="label">Last Request</td>
			<td><cfif SessionLastRequest_dt neq "">#DateFormat(SessionLastRequest_dt,"dddd, mmmm d, yyyy")# @ #TimeFormat(SessionLastRequest_dt,"h:mm:ss tt")#<cfelse>&nbsp;</cfif></td>
		</tr>
		<tr>
			<td class="label">User Name</td>
			<td>#SessionName#</td>
		</tr>
		<tr>
			<td class="label">User Email</td>
			<td>#SessionEmail#</td>
		</tr>
		<tr>
			<td class="label">Pages Viewed</td>
			<td>#Replace(SessionHistory,",",", ","all")#</td>
		</tr>
		<tr>
			<td class="label">User Agent</td>
			<td>#UserAgent#</td>
		</tr>
		
	</cfoutput>
	</table>
</cfif>
</body>
</html>
