<br><br>BEGIN QUERY LOOP

<!--- <cfinclude template="_lib/q_has_visible_queue_field.cfm"> --->
<cfset local.HasVisibleQueueField = PadsiteServices.psHasVisibleQueueField(arguments.TableName)>
<cfinclude template="_lib/q_has_date_created_field.cfm">
<cfinclude template="_lib/q_has_date_modified_field.cfm">

<!--- get existing values for comparison if needed --->
<cfquery name="Table" datasource="#Application.psDataSource#">
select * from #TableName# where ID = #Val(form.id)#
</cfquery>

<cfif IsNumeric(form.id)>
  <cfset AddComma = FALSE>
  <cfquery name="Update" datasource="#Application.psDataSource#">
  update #TableName# set
  <cfloop from="1" to="#ListLen(ValueList(Schema.FieldName))#" index="i">
  	<!--- <cfif Schema.Options[i] neq "" and ListGetAt(Schema.Options[i],1,":") eq "Calculate" and Schema.UserOverride[i] eq 1>
  		<cfset PostedValue = Evaluate("form."&Schema.FieldName[i])>
  		<cfset ExistingValue = Evaluate("form."&Schema.FieldName[i]&"_EXSTNG")>
  		<cfset CalculatedValue = Evaluate(ListGetAt(Schema.Options[i],2,":"))>
  		<cfif FALSE >
  			
  		</cfif>
  	</cfif> --->
  	<cfif Schema.Editable[i] and not ListFind(Application.psNonStandardDataTypes,Schema.Datatype[i]) and not ListFind("image",Schema.Subtype[i])>
  		<cfif AddComma>,</cfif>
  		<cfset AddComma = TRUE>
  		#Schema.FieldName[i]# = 
  		<cfif ListFind("datetime,char,nchar,varchar,nvarchar,text,ntext",Schema.DataType[i])>
  			<cfif Schema.Subtype[i] eq "datetime">
  				<cfset CurrentDateTimeValueString = "#Evaluate('form.'&Schema.FieldName[i])# #Evaluate('form.'&Schema.FieldName[i]&'_Hour')#:#Evaluate('form.'&Schema.FieldName[i]&'_Minute')#:00 #Evaluate('form.'&Schema.FieldName[i]&'_Meridian')#">
  				<cfif Trim(CurrentDateTimeValueString) neq "">'#CurrentDateTimeValueString#'<cfelse>NULL</cfif>
  				<cfelseif Schema.DataType[i] eq "datetime"><!--- above case is also datatype of datetime but is specific to datetime subtypes, not date subtypes --->
  				<cfset CurrentDateTimeValueString = "#Evaluate('form.'&Schema.FieldName[i])#">
  				<cfif Trim(CurrentDateTimeValueString) neq "">'#CurrentDateTimeValueString#'<cfelse>NULL</cfif>
  				<cfelseif TableName eq Application.psAccountsTable and Schema.FieldName[i] eq "Password" and Evaluate("form."&Schema.FieldName[i]) neq Evaluate("Table."&Schema.FieldName[i])>
  				'#Hash(Replace(Evaluate("form."&Schema.FieldName[i]),"'","''","all"))#'
  				<cfelse>
  				'#Replace(Evaluate("form."&Schema.FieldName[i]),"'","''","all")#'
  			</cfif>
  			<cfelse>
  			#Val(Evaluate("form."&Schema.FieldName[i]))#
  		</cfif>
  	</cfif>
  </cfloop>
  where ID = #Val(form.id)#
  </cfquery>
  <cfset RecordID = Val(form.id)>
  <cfif HasDateModifiedField.RecordCount eq 1>
  	<cfquery name="UpdateModifiedDate" dataSource="#Application.psDataSource#">
  	update #TableName# set DateModified = #Now()# where ID = #RecordID#
  	</cfquery>
  </cfif>
	
  <cfelse>
  <cfset AddComma = FALSE>
  <cfquery name="Insert" datasource="#Application.psDataSource#" result="Results">
  insert into #TableName# (
  <cfloop from="1" to="#ListLen(ValueList(Schema.FieldName))#" index="i">
  	<cfif Schema.Editable[i] and not ListFind(Application.psNonStandardDataTypes,Schema.Datatype[i])>
  		<cfif AddComma>,</cfif>
  		<cfset AddComma = TRUE>
  		#Schema.FieldName[i]#
  	</cfif>
  </cfloop>
  <cfif HasDateCreatedField.RecordCount eq 1>
  	<cfif AddComma>,</cfif>
  	DateCreated
  </cfif>
  )
  <cfset AddComma = FALSE>
  values (
  <cfloop from="1" to="#ListLen(ValueList(Schema.FieldName))#" index="i">
  	<cfif Schema.Editable[i] and not ListFind(Application.psNonStandardDataTypes,Schema.Datatype[i])>
  		<cfif AddComma>,</cfif>
  		<cfset AddComma = TRUE>
  		<cfif ListFind("datetime,char,nchar,varchar,nvarchar,text,ntext",Schema.DataType[i])>
  			<cfif Schema.Subtype[i] eq "datetime">
  				<cfset CurrentDateTimeValueString = "#Evaluate('form.'&Schema.FieldName[i])# #Evaluate('form.'&Schema.FieldName[i]&'_Hour')#:#Evaluate('form.'&Schema.FieldName[i]&'_Minute')#:00 #Evaluate('form.'&Schema.FieldName[i]&'_Meridian')#">
  				<cfif Trim(CurrentDateTimeValueString) neq "">'#CurrentDateTimeValueString#'<cfelse>NULL</cfif>
  				<cfelseif Schema.DataType[i] eq "datetime"><!--- above case is also datatype of datetime but is specific to datetime subtypes, not date subtypes --->
  				<cfset CurrentDateTimeValueString = "#Evaluate('form.'&Schema.FieldName[i])#">
  				<cfif Trim(CurrentDateTimeValueString) neq "">'#CurrentDateTimeValueString#'<cfelse>NULL</cfif>
  				<cfelseif TableName eq Application.psAccountsTable and Schema.FieldName[i] eq "Password" and Evaluate("form."&Schema.FieldName[i]) neq Evaluate("Table."&Schema.FieldName[i])>
  				'#Hash(Replace(Evaluate("form."&Schema.FieldName[i]),"'","''","all"))#'
  				<cfelse>
  				'#Replace(Evaluate("form."&Schema.FieldName[i]),"'","''","all")#'
  			</cfif>
  			<cfelse>
  			#Val(Evaluate("form."&Schema.FieldName[i]))#
  		</cfif>
  	</cfif>
  </cfloop>
  <cfif HasDateCreatedField.RecordCount eq 1>
  	<cfif AddComma>,</cfif>
  	#Now()#
  </cfif>
  )
  </cfquery>
  <cfset RecordID = Results.IDENTITYCOL>
  <cfif local.HasVisibleQueueField>
  	<cfquery name="CheckQueue" datasource="#Application.psDataSource#">
  	select max(Queue) as MaxQueue from #TableName#
	  <cfif IsDefined("form.parentTable") and IsDefined("form.parentID")>
	  	where #SpanExcluding(form.parentTable,Application.psIllegal_URL_Chars)#ID = #Val(form.parentID)#
	  </cfif>
  	</cfquery>
  	<cfquery name="UpdateQueueForNewRecord" dataSource="#Application.psDataSource#">
  	update #TableName# set Queue = <cfif CheckQueue.MaxQueue gte 1>#CheckQueue.MaxQueue+1#<cfelse>1</cfif> where ID = #RecordID#
  	</cfquery>
  </cfif>
  
  
  
  
  
  
  <cfif HasDateModifiedField.RecordCount eq 1>
  	<cfquery name="UpdateModifiedDate" dataSource="#Application.psDataSource#">
  	update #TableName# set DateModified = #Now()# where ID = #RecordID#
  	</cfquery>
  </cfif>





  <!--- <cfdump var="#Results#"> --->
</cfif>
<!--- END Update/Insert Queries --->

<br>END QUERY LOOP