<!--- USAGE ---
<cf_sql_insert														--version 1.0
	StringFields="#ListOfStringFields#"			--required
	NumericFields="#ListOfNumericFields#"		--required
	DataSource=""														--required
	TableName=""														--required
	ID=""																		--optional (not supported in this version)
>

Script assumes that all needed cfparam tags have been processed and all form values have been validated
Data tables are assumed to be indexed on integer ID field with autoincrement on --->
<cfset StringFields = Attributes.StringFields>
<cfset NumericFields = Attributes.NumericFields>
<cfset ListLength = ListLen(StringFields) + ListLen(NumericFields)>
<cfset Counter = 0>
<cfset CommaFlag = FALSE>
<cfquery name="SQLQuery" datasource="#Attributes.DataSource#">
insert into #Attributes.TableName# (
<cfif ListLen(StringFields) gte 1>
	#StringFields#
	<cfset CommaFlag = TRUE>
</cfif>
<cfif ListLen(NumericFields) gte 1>
	<cfif CommaFlag>,</cfif>
	#NumericFields#
</cfif>
) values (
<cfloop list="#StringFields#" index="CurrentStringField">
	<cfset Counter = Counter + 1>
	<cfset Value = Evaluate("#CurrentStringField#")>
	'#Value#'
	<cfif Counter lt ListLength>,</cfif>
</cfloop>
<cfloop list="#NumericFields#" index="CurrentNumericField">
	<cfset Counter = Counter + 1>
	<cfset Value = Evaluate("#CurrentNumericField#")>
	<cfif Value eq "">0<cfelse>#Val(Value)#</cfif>
	<cfif Counter lt ListLength>,</cfif>
</cfloop>
)
</cfquery>
