<cfset CurrentMonth = Report.CurrentMonth>
<cfset CurrentYear = Report.CurrentYear>
<cfset GetEvents = Report.Query>

<cfset EventCounter = 1>
<cfset CurrentFirstDayOffset = DayOfWeek(CreateDate(CurrentYear,CurrentMonth,1)) - 1>
<cfset DayCount = DaysInMonth(CreateDate(CurrentYear,CurrentMonth,1))>


<div id="admin_Reporter_Header">
  <cfoutput>
  	<div style="float:left;font-weight:bold;margin-top:2px;">
  		#Trim(REReplace(Replace(TableName,"#Application.psTablePrefix#",""),"([A-Z])"," \1","all"))#
  		&nbsp;&nbsp;&nbsp;
		  [ #Report.Query.RecordCount# #IIf(Report.TotalRecords neq Report.Query.RecordCount,DE("of #Report.TotalRecords#"),DE(""))# <cfif Report.Query.RecordCount eq 1>Record<cfelse>Records</cfif> Found
		  <cfif Report.Query.RecordCount lt Report.TotalRecords>
		  	| <a href="#cgi.PATH_INFO#">Show All</a>
		  </cfif>
		  ]
  		<!--- <cfif ListLen(url.select,".") gte 2 and Report.TotalRecords gt Report.Query.RecordCount>[ <a href="##">Show All</a>]</cfif> --->
  	</div>
  	<div style="float:right;">
  	  <cfif IsDefined("RecordName") and RecordName neq "">
  	  	<input name="insert" type="button" value="New #RecordName#..." onClick="window.open('#Editor#?id=new','','width=#ListGetAt(EditorWindowSize,1)#,height=#ListGetAt(EditorWindowSize,2)#,status=1,scrollbars=1,resizable=1')" />
  	  </cfif>
		  <!--- display Search button --->
		  <cfif ListLen(EditorWindowSize) gte 2>
		  	<input name="search" type="button" value="Search" onclick="window.open('#Editor#?search=#TableName#','','width=#ListGetAt(EditorWindowSize,1)#,height=#ListGetAt(EditorWindowSize,2)#,status=1,scrollbars=1,resizable=1')" />
		  </cfif>
  	  <select name="export" onchange="exportCalendar(this);">
  	  	<option value="">Import/Export...</option>
  	  	<option value="" disabled="disabled">&nbsp;</option>
  	  	<option value="import_ics" disabled="disabled">Import iCalendar</option>
  	  	<option value="publishing">Publishing Details</option>
  	  	<option value="ics">Export iCalendar (#MonthAsString(CurrentMonth)#)</option>
  	  	<option value="ics">Export iCalendar (#CurrentYear#)</option>
  	  	<option value="" disabled="disabled">&nbsp;</option>
  	  	<option value="html">View As Webpage</option>
  	  </select>
  	  <!--- <input name="download" type="button" value="Export" onclick="window.open('/padsite/services/_lib/export.cfm?export=#TableName#&select=#SpanExcluding(url.select,Application.psIllegal_URL_Chars)#','','')" /> --->
  	  <cfif ListFind(Application.psConfigAccess,Session.Access)>
  	  	<input name="config" type="button" value="Setup" onclick="window.location.href='/padsite/setup.cfm?table=#TableName#';">
  	  </cfif>
  	</div>
  </cfoutput>
</div>

<!--- NEED TO MAKE IT SO THAT AS YOU SWITCH MONTHS, YOUR SEARCH SELECTION REMAINS IN PLACE -- DONE? --->
<cfoutput>
<script>
function ChangeView(newView) {
	if (newView.value == 'yyyy') window.location.href='?view='+newView.value+'&offset=#Round(Val(url.offset)/12)#&select=#SpanExcluding(url.select,Application.psIllegal_URL_Chars)#';
	if (newView.value == 'ww') window.location.href='?view='+newView.value+'&offset=#Round(Val(url.offset)*4)#&select=#SpanExcluding(url.select,Application.psIllegal_URL_Chars)#';
}
</script>
</cfoutput>

<table width="100%" border="0" cellspacing="1" cellpadding="3">
  <tr>
  	<cfoutput>
  		<th colspan="7" nowrap style="padding:0px;">
  			<div class="table_ColumnTab" style="padding-bottom:9px;">
  				<div style="float:left">
  					#MonthAsString(CurrentMonth)#, #CurrentYear#
  					<div style="display:inline;visibility:hidden;"><select></select></div>
  				</div>
  				<div style="float:right;margin-left:10px;">
  					<select name="view" onchange="ChangeView(this)">
  						<option value="ww" <cfif url.view eq 'ww'>selected</cfif>>Week</option>
  						<option value="m" <cfif url.view eq 'm'>selected</cfif>>Month</option>
  						<option value="yyyy" <cfif url.view eq 'yyyy'>selected</cfif>>Year</option>
  					</select>
  					
  					<a href="?view=#View#&offset=#Offset-1#&select=#Select#" style="font-weight:bold;">&lt;</a>
  					<a href="?view=#View#&offset=#Offset+1#&select=#Select#" style="font-weight:bold;">&gt;</a>
  					
  					<select name="offset_month" onchange="window.location.href='?view=#View#&offset='+this.value+'&select=#Select#'">
  						<cfset MonthCounter = 0>
  						<cfloop from="#Offset-CurrentMonth+1#" to="#Offset-CurrentMonth+12#" index="CurrentOffset">
  							<cfset MonthCounter = MonthCounter + 1>
  							<option value="#CurrentOffset#" <cfif CurrentOffset eq Offset>selected</cfif>>#MonthAsString(MonthCounter)#<!---  (#CurrentOffset#) ---></option>
  						</cfloop>
  					</select>
  					
  					<cfset CurrentMonthOffset = Month(Now()) mod 12>
  					<select name="offset_year" onchange="window.location.href='?view=#View#&offset='+this.value+'&select=#Select#'">
  						<cfloop from="#Offset-12*20#" to="#Offset+12*25#" step="12" index="CurrentOffset">
  							<cfset iYear = Year(Now()) + Round(CurrentOffset/12)>
  							<option value="#CurrentOffset#" <cfif CurrentOffset eq Offset>selected</cfif>>#iYear#<!---  (#CurrentOffset#) ---></option>
  						</cfloop>
  					</select>

  				</div>
  			</div></th>
  	</cfoutput>
  </tr>
</table>

<style>
.DayOfWeek {font-weight:bold;padding:4 10px;width:14%;background-color:#DDDDDD;}
</style>

<table width="100%" border="0" cellpadding="4" cellspacing="1" class="default" style="margin-top:-1px;">
  <tr class="Default">
  	<td class="DayOfWeek">Sunday</td>
  	<td class="DayOfWeek">Monday</td>
  	<td class="DayOfWeek">Tuesday</td>
  	<td class="DayOfWeek">Wednesday</td>
  	<td class="DayOfWeek">Thursday</td>
  	<td class="DayOfWeek">Friday</td>
  	<td class="DayOfWeek">Saturday</td>
  </tr>
  <cfloop index="WeekCounter" from="1" to="#Ceiling((DayCount + CurrentFirstDayOffset) / 7)#">
  	<tr>
  		<cfloop index="DayCounter" from="#(WeekCounter - 1) * 7 + 1 - CurrentFirstDayOffset#" to="#(WeekCounter - 1) * 7 + 7 - CurrentFirstDayOffset#">
  			<td valign="top" height="110" <cfif DateFormat(Now(),"yyyymd") eq "#CurrentYear##CurrentMonth##DayCounter#">bgcolor="#FFFFFF"<cfelse>bgcolor="#EEEEEE"</cfif>>
  				<cfif DayCounter gte 1 and DayCounter lte DayCount>
  					<cfoutput><span class="Larger">#DayCounter#</span></cfoutput><br>
  					<cfset KeepCheckingTodaysEvents = TRUE>
  					<table width="100%" border="0" cellpadding="4" cellspacing="2" class="Default">
  						<cfloop condition="KeepCheckingTodaysEvents EQ TRUE">
  							<cfif DateFormat(GetEvents.Start[EventCounter],"d") eq DayCounter>
  								<tr> <cfoutput>
  										<td valign="top"><span style="font-size:10px;">
  											 <!---or (TimeFormat(GetEvents.Start[EventCounter],"h:mm tt") eq TimeFormat(GetEvents.Stop[EventCounter],"h:mm tt") and TimeFormat(GetEvents.Stop[EventCounter],"h:mm tt") eq "1:00 AM")--->
  											<cfif GetEvents.AllDayEvent[EventCounter] eq 0>
  												<cfif not ListFind("0:00,12:00,24:00",TimeFormat(GetEvents.Start[EventCounter],"h:mm"))>
  													#TimeFormat(GetEvents.Start[EventCounter],"h:mm tt")#
  													<cfelseif TimeFormat(GetEvents.Start[EventCounter],"tt") eq "pm">
  													Noon
  													<cfelse>
  													Midnight
  												</cfif>
  												<cfif GetEvents.Stop[EventCounter] neq "">
  													to
	  												<cfif not ListFind("0:00,12:00,24:00",TimeFormat(GetEvents.Stop[EventCounter],"h:mm"))>
	  													#TimeFormat(GetEvents.Stop[EventCounter],"h:mm tt")#
	  													<cfelseif TimeFormat(GetEvents.Stop[EventCounter],"tt") eq "pm">
	  													Noon
	  													<cfelse>
	  													Midnight
	  												</cfif>
  												</cfif><br>
  											</cfif>
  											</span>
  											<a href="#Editor#?id=#GetEvents.ID[EventCounter]#" class="Event" onclick="window.open('#Editor#?id=#GetEvents.ID[EventCounter]#','','width=#ListGetAt(EditorWindowSize,1)#,height=#ListGetAt(EditorWindowSize,2)#,status=1,resizable=1,scrollbars=1');return false;">
  											<cfset DisplayTitle = Evaluate("GetEvents.#RecordName#[EventCounter]")>
  											<cfset DisplayLineBreak = FALSE>
  											<cfif DisplayTitle neq "">
													<cfif DisplayLineBreak>
														<br />
													</cfif>
													#DisplayTitle#
													<cfset DisplayLineBreak = TRUE>
													<cfelse>
													<i>Unnamed #RecordName#</i>
												</cfif>
												
												
												
												<cfset k = 0>
								  			<cfloop list="#ValueList(Report.Schema.FieldName)#" index="CurrentItem">
								  				<cfset k = k + 1>
								  				<cfif Report.Schema.Display[k] and not ListFind("#RecordName#,AllDayEvent,Start,Stop,RecurringEvent,RecurringInterval,RecurringThrough",CurrentItem)>
								  					<br>#Evaluate("GetEvents.#CurrentItem#[EventCounter]")#
								  				</cfif>
								  			</cfloop>
												
												
												
  											</a></td>
  									</cfoutput> </tr>
  								<cfset EventCounter = EventCounter + 1>
  								<cfelse>
  								<cfset KeepCheckingTodaysEvents = FALSE>
  							</cfif>
  						</cfloop>
  					</table>
  				</cfif>
  			</td>
  		</cfloop>
  	</tr>
  </cfloop>
</table>
