<cfif IsDefined("Session.Access") and IsDefined("url.messageid") and IsNumeric(url.messageid)>
<cfquery name="Message" dataSource="#Application.psDataSource#">
select * from #Application.psMessageLogTable# where ID = #Val(url.messageid)#
</cfquery>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Message: <cfoutput>#Message.Subject#</cfoutput></title>
<link rel="stylesheet" type="text/css" href="/css/default.css" />
<style>
.label {
	text-align: right;
	vertical-align: top;
	padding-right: 10px;
	white-space:nowrap;
	color: #666;}
</style>
<!--- user vars --->
<cfset AccessRequired = TRUE>
<cfset AccessAllowed = "Webmaster">
<!--- user vars --->
</head>
<body>

	<div id="admin_util_editor_header" style="margin:0px 40px;">
	<table width="100%" height="42" border="0" cellpadding="4" cellspacing="0">
	  <tr>
	  	<td class="mainMenu">&nbsp;
	  		Message: <cfoutput>#Message.Subject#</cfoutput>
	  	</td>
	  	<td align="right" style="padding-right:10px;">
	  		<input type="button" name="close" id="close" value="Close Window" onClick="window.close();" />
	  	</td>
	  </tr>
	</table>
	</div>
			
	<div style="margin:30px 40px;background-color:#BBB;border-radius:20px;padding:20px 26px;">
	<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center">
	<cfoutput query="Message">
		<tr>
			<td class="label">Sent</td>
			<td>#DateFormat(Sent,"dddd, mmm d, yyyy")# at #TimeFormat(Sent,"short")#</td>
		</tr>
		<tr>
			<td class="label">Sent From</td>
			<td>
				<cfif SenderAsEntered neq Sender and SenderAsEntered neq "">
					<a href="mailto:#SenderAsEntered#">#SenderAsEntered#</a> (by <a href="mailto:#Sender#">#Sender#</a>)
					<cfelse>
					<a href="mailto:#Sender#">#Sender#</a>
				</cfif>
			</td>
		</tr>
		<tr>
			<td class="label">Subject</td>
			<td>#Subject#</td>
		</tr>
		<tr>
			<td class="label">Importance</td>
			<td>#Importance#</td>
		</tr>
		<tr>
			<td class="label">Attachment</td>
			<td><a href="#Application.psEmailAttachmentsDirectory##Message.ID#/#Attachment#">#Attachment#</a></td>
		</tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr>
			<td colspan="2"><div style="border-radius:20px;background-color:white;padding:40px;color:black;">#Message#</div></td>
		</tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr>
			<td class="label">Recipient List</td>
			<td>#Replace(RecipientList,",",", ","all")#</td>
		</tr>
		<tr>
			<td class="label">Recipient Results</td> 
			<td>#Replace(Replace(RecipientResults,"|","<br>"),",",", ","all")#</td>
		</tr>
	</cfoutput>
	</table>
	<!--- <cfoutput>#CGI.SERVER_NAME#</cfoutput> --->
	<p>Notice: If you would like additional information, like tracking opened messages, let me know. It can be done.</p>
	</div>
</body>
</html>
</cfif>
