<br>BEGIN PREQUERY LOOP
<cfparam name="local.SearchMode" default="false">
<br><cfoutput>#ValueList(local.Schema.FieldName)#</cfoutput>
<cfloop from="1" to="#ListLen(ValueList(local.Schema.FieldName))#" index="local.i">
  <br>i:<cfoutput>#i#: #local.Schema.FieldName[local.i]# #local.Schema.DataType[local.i]# #local.Schema.Subtype[local.i]#</cfoutput>
  
  <cfif local.Schema.DataType[i] eq "bit">
  	<!--- param all checkboxes (booleans) --->
  	<cfparam name="form.#local.Schema.FieldName[local.i]#" default="0">
  	
  	<cfelseif local.Schema.DataType[local.i] eq "int">
  	
  	<cfelseif local.Schema.DataType[local.i] eq "money">
  	<cfif ListLen(local.Schema.Options[local.i],":") gte 2 and ListGetAt(local.Schema.Options[local.i],1,":") eq "Calculate">
  		<cfoutput>has calculation/formula</cfoutput>
  		<cfset local.CalculatedValue = Val(Evaluate(Replace(ListGetAt(local.Schema.Options[local.i],2,":"),"Table.","form.","all")))>
  		<cfset "form.#local.Schema.FieldName[local.i]#" = CalculatedValue>
  		<cfoutput>value = #CalculatedValue#</cfoutput>
  	</cfif>
  	
  	<cfelseif local.Schema.DataType[local.i] eq "text">
  	<!--- don't remember why this is here - maybe for containers (file upload fields) --->
  	<cfparam name="form.#local.Schema.FieldName[local.i]#" default="">
  	
  	<cfelseif local.Schema.DataType[local.i] eq "varchar">
  	<cfif ListLen(local.Schema.Options[local.i],":") gte 2 and ListGetAt(local.Schema.Options[local.i],1,":") eq "Calculate">
  		<br>has calculation/formula
  		<cfparam name="form.#local.Schema.FieldName[local.i]#" default="">
  		<cfparam name="form.#local.Schema.FieldName[local.i]#_EXSTNG" default="">
  		
  		<cfset local.UserOverrideStatus = Val(local.Schema.UserOverride[local.i])>
  		<cfset local.PostedValue = Evaluate("form."&local.Schema.FieldName[local.i])>
  		<cfset local.ExistingValue = Evaluate("form."&local.Schema.FieldName[local.i]&"_EXSTNG")>
  		<cfif local.Schema.Editable[local.i] eq 1>
  			<cfset local.CalculatedValue = Evaluate(Replace(ListGetAt(local.Schema.Options[local.i],2,":"),"Table.","form.","all"))>
  			<cfelseif not local.SearchMode>
  			<cfset local.CalculatedValue = Evaluate(ListGetAt(local.Schema.Options[local.i],2,":"))>
  			<cfelse>
  			<cfset local.CalculatedValue = "">
  		</cfif>
  		
  		<br><cfoutput>Posted value: #local.PostedValue#</cfoutput>
  		<br><cfoutput>Existing value: #local.ExistingValue#</cfoutput>
  		<br><cfoutput>Calculated value: #local.CalculatedValue#</cfoutput>
  		<br><cfoutput>Current User Override Status: #local.UserOverrideStatus#</cfoutput>
  		
  		<!--- first check to see if editable. if not editable, no need to check useroverride --->
  		<cfif local.Schema.Editable[local.i] eq 1>
  			<br>editable - check for user override <!--- will update in query loop if editable --->
  			
  			<cfif local.UserOverrideStatus eq 0><!--- UserOverride is OFF --->
  				<cfif local.PostedValue neq local.ExistingValue and local.PostedValue neq local.CalculatedValue>
  					<br>toggle useroverride ON and allow form.FieldName to update in query loop
  					<cfquery name="local.SetUserOverride" dataSource="#Application.psDataSource#">
  					update #Application.psSchemaTable# set UserOverride = 1 where ID = #local.Schema.ID[local.i]#
  					</cfquery>
  					<!--- no need to set "form.#local.Schema.FieldName[local.i]#" - will update in query loop --->
  					<cfelse>
  					<cfset "form.#local.Schema.FieldName[local.i]#" = local.CalculatedValue>
  				</cfif>
  				
  				<cfelse><!--- UserOverride is ON --->
  				<cfif local.PostedValue eq "">
  					<br>turn useroverride OFF and update FieldName via formula
  					<cfquery name="local.KillUserOverride" dataSource="#Application.psDataSource#">
  					update #Application.psSchemaTable# set UserOverride = 0 where ID = #local.Schema.ID[local.i]#
  					</cfquery>
  					<cfset "form.#local.Schema.FieldName[local.i]#" = local.CalculatedValue>
  				</cfif>
  				
  			</cfif>
  			
  			<cfelse>
  			<br>not editable - update via formula using form values
  			<!--- not editable, but can't update here because could be an update or an insert. --->
  			<!--- set a flag and update in post query loop --->
  			<cfset "form.#local.Schema.FieldName[local.i]#" = local.CalculatedValue>
  		</cfif>
  		
  		<br>must always be saved (unless useroverride eq 1) - update this field in post-query loop
  	</cfif>
  </cfif>
</cfloop>
<br>END PREQUERY LOOP

<!--- <cfabort> --->

<!--- and Evaluate("form.#Schema.FieldName[i]#") eq "" --->