<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style>
@import url("/css/default.css");
body, div, td, a, a:link, a:hover, a:active, a:visited {color:white;}
</style>
</head>
<body class="administrator">
<cfif IsDefined("Session.Access")>
	<cfif IsDefined("form.submit") and form.submit eq "Add Column">
		<cfparam name="form.allownull" default="0">
		<cfif not ListFind(Application.psNonStandardDataTypes,form.datatype)>
			<!--- standard sql data type; all work same --->
			<cfif form.datatype eq "varchar">
				<cfif form.datasize neq "">
					<cfset TheDataSize = Val(form.datasize)>
					<cfelse>
					<cfset TheDataSize = 50>
				</cfif>
				<cfelse>
				<cfset TheDataSize = 0>
			</cfif>
			<cftransaction>
				<cfquery name="AddColumn" datasource="#Application.psDataSource#">
				if exists (select column_name, data_type, character_maximum_length from information_schema.columns where table_name = '#form.table#' and column_name = '#form.FieldName#') select 'ERROR: Column Already Exists' as Response
					else begin
						alter table #form.table# add #Replace(form.FieldName," ","_","all")# #form.datatype#<cfif form.datatype eq "varchar">(#IIf(form.datasize neq "",DE(form.datasize),DE("50"))#)</cfif><cfif form.allownull eq 0> not null</cfif><cfif form.defaultvalue neq ""> default #form.defaultvalue#</cfif>;
						insert into #Application.psSchemaTable# (Queue,TableName,FieldName,Fieldset,DataType,Subtype,DataSize,Display,Summary,Sortable,Editable,Required,Options,AllowNull,DefaultValue)
							values (#Val(form.queue)#,'#form.table#','#Replace(form.FieldName," ","_","all")#','','#form.datatype#','',#TheDataSize#,1,0,1,1,0,'',#form.allownull#,'#form.defaultvalue#');
						select 'Table Created Successfully' as Response;
					end
				</cfquery>
				<cfquery name="NewColumn" datasource="#Application.psDataSource#">
				select max(ID) as NewID from #Application.psSchemaTable#
				</cfquery>
			</cftransaction>
			<cfif Left(AddColumn.Response,5) eq "ERROR">
					<p class="adminErrorMessage"><cfoutput>#AddColumn.Response#</cfoutput></p>
					<p class="adminErrorMessage"><a href="javascript:history.back()" onClick="history.back();return false;">Go Back</a></p>
				<cfabort>
				<cfelse>
				<cfoutput>
					<script>window.opener.location.reload();window.resizeTo(800,400);window.location.href='column.cfm?column=#NewColumn.NewID#';</script>
				</cfoutput>
			</cfif>
			<!--- begin nonstandard/nonsql data types --->
			<cfelse>
			<cfquery name="AddOnlyToSchema" datasource="#Application.psDataSource#">
			insert into #Application.psSchemaTable# (Queue,TableName,FieldName,Fieldset,DataType,Subtype,DataSize,Display,Summary,Sortable,Editable,Required,Options,AllowNull,DefaultValue) values (#Val(form.queue)#,'#form.table#','#Replace(form.FieldName," ","_","all")#','','#form.datatype#','',#Val(form.datasize)#,0,0,0,1,0,'#Replace(form.FieldName,"_"," ","all")#',#form.allownull#,'#form.defaultvalue#');
			select max(ID) as NewID from #Application.psSchemaTable#
			</cfquery>
			<cfoutput>
				<script>window.opener.location.reload();window.resizeTo(800,400);window.location.href='column.cfm?column=#AddOnlyToSchema.NewID#';</script>
			</cfoutput>
		</cfif>
		<cfelseif IsDefined("form.submit") and form.submit eq "Update SQL Field">
		<cfquery name="CheckSQLField" datasource="#Application.psDataSource#">
		select * from #Application.psSchemaTable# where ID = #form.id#
		</cfquery>
		<cfif form.FieldName neq form.old_FieldName>
			<cftransaction>
				<cfif ListFind(Application.psStandardDataTypes,CheckSQLField.DataType) and form.datatype eq form.old_datatype>
					<cfquery name="RenameSQLField" datasource="#Application.psDataSource#">
					if exists (select column_name, data_type, character_maximum_length from information_schema.columns where table_name = '#form.table#' and column_name = '#form.FieldName#') select 'ERROR: New Column Name Already Exists' as Response
						else begin
							exec sp_rename
								@objname = '#form.table#.#form.old_FieldName#',
								@newname = '#Replace(form.FieldName," ","_","all")#',
								@objtype = 'COLUMN';
							update #Application.psSchemaTable# set FieldName = '#Replace(form.FieldName," ","_","all")#' where ID = #form.id#;
							select 'FieldName Updated Successfully' as Response;
						end
					</cfquery>
					<cfelse>
					<cfquery name="RenameSQLField" datasource="#Application.psDataSource#">
					update #Application.psSchemaTable# set FieldName = '#Replace(form.FieldName," ","_","all")#' where ID = #form.id#;
					select 'FieldName Updated Successfully' as Response;
					</cfquery>
				</cfif>
			</cftransaction>
			<cfif Left(RenameSQLField.Response,5) eq "ERROR">
				<p class="adminErrorMessage"><cfoutput>#RenameSQLField.Response#</cfoutput></p>
				<p class="adminErrorMessage"><a href="javascript:history.back()" onClick="history.back();return false;">Go Back</a></p>
				<cfabort>
			</cfif>
		</cfif>
		<cfparam name="form.allownull" default="0">
		<cfif form.datatype neq form.old_datatype or form.datasize neq form.old_datasize or form.allownull neq form.old_allownull or form.defaultvalue neq form.old_defaultvalue>
			<cftransaction>
				<cfif ListFind(Application.psStandardDataTypes,CheckSQLField.DataType) and ListFind(Application.psStandardDataTypes,form.datatype)>
					<!--- if changing types, changing a standard type to another standard type --->
					<cfquery name="ChangeDataType" datasource="#Application.psDataSource#">
					alter table #form.table#
					alter column #Replace(form.FieldName," ","_","all")# #form.datatype#<cfif form.datatype eq "varchar">(#form.datasize#)</cfif><cfif form.allownull eq 0> not null</cfif><cfif form.defaultvalue neq ""> default #form.defaultvalue#</cfif>;
					update #Application.psSchemaTable# set DataType = '#form.datatype#', DataSize = #form.datasize#, AllowNull = #form.allownull#, DefaultValue = '#form.defaultvalue#' where ID = #form.id#
					</cfquery>
					<cfelseif ListFind(Application.psStandardDataTypes,CheckSQLField.DataType) and not ListFind(Application.psStandardDataTypes,form.datatype)>
					<!--- if changing types, changing from standard type to non-standard type --->
					<p class="adminErrorMessage">Changing from a standard data type to a non-standard data type will result in data loss. Delete column and add non-standard data type separately. Operation Aborted.</p>
					<p class="adminErrorMessage"><a href="javascript:history.back()" onClick="history.back();return false;">Go Back</a></p>
					<cfabort>
					<cfelseif not ListFind(Application.psStandardDataTypes,CheckSQLField.DataType) and ListFind(Application.psStandardDataTypes,form.datatype)>
					<!--- if changing types, changing from non-standard type to standard type --->
					<p class="adminErrorMessage">Changing from a non-standard data type to a standard data type is not currently supported.</p>
					<p class="adminErrorMessage"><a href="javascript:history.back()" onClick="history.back();return false;">Go Back</a></p>
					<cfabort>
					<cfelse>
					<!--- if changing types, changing non-standard type to another non-standard type --->
					<cfquery name="ChangeDataType" datasource="#Application.psDataSource#">
					update #Application.psSchemaTable# set DataType = '#form.datatype#', DataSize = #form.datasize#, AllowNull = #form.allownull#, DefaultValue = '#form.defaultvalue#' where ID = #form.id#
					</cfquery>
				</cfif>
			</cftransaction>
		</cfif>
		<cfoutput>
			<script>window.opener.location.reload();window.resizeTo(800,400);window.location.href='column.cfm?column=#form.id#';</script>
		</cfoutput>
		<cfelseif IsDefined("form.submit") and form.submit eq "Update Padsite Parameters">
		<cfparam name="form.display" default="0">
		<cfparam name="form.summary" default="0">
		<cfparam name="form.sortable" default="0">
		<cfparam name="form.editable" default="0">
		<cfparam name="form.required" default="0">
		<cfparam name="form.calculate" default="0">
		<cfparam name="form.summate" default="0">
		<cfparam name="form.encrypt" default="0">
		<cfquery name="Update" datasource="#Application.psDataSource#">
		update #Application.psSchemaTable# set Subtype = '#form.subtype#', Fieldset = '#form.fieldset#', Display = #Val(form.display)#, Summary = #Val(form.summary)#, Sortable = #Val(form.sortable)#, Editable = #Val(form.editable)#, Required = #Val(form.required)#, Options = '#form.options#', Calculate = #Val(form.calculate)#, Summate = #Val(form.summate)#, Encrypt = #Val(form.encrypt)# where ID = #Val(form.columnid)#
		</cfquery>
		<script>window.opener.location.reload();window.close();</script>
		<cfelseif IsDefined("url.column") and url.column eq "new">
		<div style="padding:20px 40px">
			<p><strong>SQL Field</strong></p>
			<form method="post">
				<table>
					<cfoutput>
						<input name="table" type="hidden" value="#url.table#" />
						<input name="queue" type="hidden" value="#url.queue#" />
					</cfoutput>
					<tr>
						<td align="right">Name:</td>
						<td><input name="FieldName" type="text" maxlength="50" /></td>
					</tr>
					<tr>
						<td align="right">Type:</td>
						<td><select name="datatype">
								<cfoutput>
									<cfloop list="#Application.psListOfPrimaryDataTypes#" index="thistype">
										<cfif thistype eq ListGetAt(Application.psNonStandardDataTypes,1)>
											<hr />
										</cfif>
										<option value="#thistype#">#thistype#</option>
									</cfloop>
								</cfoutput>
							</select></td>
					</tr>
					<tr>
						<td align="right">Size:</td>
						<td><input name="datasize" type="text" size="3" maxlength="3" /></td>
					</tr>
					<tr>
						<td align="right"><input name="allownull" type="checkbox" value="1" checked /></td>
						<td>Allow Nulls</td>
					</tr>
					<tr>
						<td align="right">Default:</td>
						<td><input name="defaultvalue" type="text" size="3" /></td>
					</tr>
				</table>
				<p>
					<input name="submit" type="submit" id="submit" value="Add Column" />
				</p>
			</form>
		</div>
		<cfelseif IsDefined("url.sqlfield") and IsNumeric(url.sqlfield)>
		<cfquery name="ThisColumn" datasource="#Application.psDataSource#">
		select * from #Application.psSchemaTable# where ID = #Val(url.sqlfield)#
		</cfquery>
		<div style="padding:20px 40px">
			<p><strong>SQL Field</strong></p>
			<form method="post">
				<table>
					<cfoutput>
						<input name="table" type="hidden" value="#ThisColumn.TableName#" />
						<input name="queue" type="hidden" value="#ThisColumn.Queue#" />
						<input name="id" type="hidden" value="#ThisColumn.ID#" />
						<tr>
							<td align="right">Name:</td>
							<td><input name="FieldName" type="text" maxlength="50" value="#ThisColumn.FieldName#" />
								<input name="old_FieldName" type="hidden" value="#ThisColumn.FieldName#" /></td>
						</tr>
						<tr>
							<td align="right">Type:</td>
							<td><select name="datatype">
									<cfloop list="#Application.psListOfPrimaryDataTypes#" index="thistype">
										<cfif thistype eq ListGetAt(Application.psNonStandardDataTypes,1)>
											<hr />
										</cfif>
										<option value="#thistype#" <cfif ThisColumn.DataType eq thistype>selected</cfif>>#thistype#</option>
									</cfloop>
								</select>
								<input name="old_datatype" type="hidden" value="#ThisColumn.DataType#" /></td>
						</tr>
						<tr>
							<td align="right">Size:</td>
							<td><input name="datasize" type="text" size="3" maxlength="3" value="#ThisColumn.DataSize#" />
								<input name="old_datasize" type="hidden" value="#ThisColumn.DataSize#" /></td>
						</tr>
						<tr>
							<td align="right"><input name="allownull" type="checkbox" value="1" <cfif ThisColumn.AllowNull eq 1>checked</cfif> />
								<input name="old_allownull" type="hidden" value="#ThisColumn.AllowNull#" /></td>
							<td>Allow Nulls</td>
						</tr>
						<tr>
							<td align="right">Default:</td>
							<td><input name="defaultvalue" type="text" size="3" value="#ThisColumn.DefaultValue#"/>
								<input name="old_defaultvalue" type="hidden" value="#ThisColumn.DefaultValue#" /></td>
						</tr>
					</cfoutput>
				</table>
				<p>
					<input name="submit" type="submit" id="submit" value="Update SQL Field" />
				</p>
			</form>
		</div>
		<cfelseif IsDefined("url.column") and IsNumeric(url.column)>
		<!--- EDIT SQL Field FROM SUBTYPE WINDOW --->
		<cfquery name="ThisColumn" datasource="#Application.psDataSource#">
		select * from #Application.psSchemaTable# where ID = #Val(url.column)#
		</cfquery>
		<div style="padding:20px 40px">
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td valign="top"><p><strong>SQL Field</strong></p>
						<table>
							<cfoutput>
								<tr>
									<td align="right">Name:</td>
									<td><input name="FieldName" type="text" maxlength="50" value="#ThisColumn.FieldName#" disabled="disabled" /></td>
								</tr>
								<tr>
									<td align="right">Type:</td>
									<td><select name="datatype" disabled="disabled">
											<cfloop list="#Application.psListOfPrimaryDataTypes#" index="thistype">
												<option value="#thistype#" <cfif ThisColumn.DataType eq thistype>selected</cfif>>#thistype#</option>
											</cfloop>
										</select></td>
								</tr>
								<tr>
									<td align="right">Size:</td>
									<td><input name="datasize" type="text" size="3" maxlength="3" value="#ThisColumn.DataSize#" disabled="disabled" /></td>
								</tr>
								<tr>
									<td align="right"><input name="allownull" type="checkbox" value="1" <cfif ThisColumn.AllowNull eq 1>checked</cfif> disabled="disabled" /></td>
									<td>Allow Nulls</td>
								</tr>
								<tr>
									<td align="right">Default:</td>
									<td><input name="defaultvalue" type="text" size="3" value="#ThisColumn.DefaultValue#" disabled="disabled" /></td>
								</tr>
							</cfoutput>
						</table>
						<p><cfoutput>
								<input name="update" type="button" id="update" value="Update SQL Field" onClick="window.location.href='column.cfm?sqlfield=#ThisColumn.ID#';window.resizeTo(260,300);" />
							</cfoutput></p></td>
					<td valign="top" style="padding-left:40px; border-left:1px dotted white;"><p><strong>Padsite Parameters</strong></p>
						<form method="post">
							<cfoutput>
								<input name="columnid" type="hidden" value="#url.column#" />
							</cfoutput>
							<table width="100%">
								<cfoutput>
									<tr>
										<td align="right">Subtype:</td>
										<td><cfswitch expression="#ThisColumn.DataType#">
												<cfcase value="bit">
												<select name="subtype" style="width:120px">
													<option value="yes/no" <cfif ThisColumn.Subtype eq "yes/no">selected</cfif>>yes/no</option>
													<option value="true/false" <cfif ThisColumn.Subtype eq "true/false">selected</cfif>>true/false</option>
													<option value="dot/dash" <cfif ThisColumn.Subtype eq "dot/dash">selected</cfif>>&bull;/-</option>
													<option value="1/0" <cfif ThisColumn.Subtype eq "1/0">selected</cfif>>1/0</option>
												</select>
												</cfcase>
												<cfcase value="datetime">
												<select name="subtype" style="width:120px">
													<option value="date" <cfif ThisColumn.Subtype eq "date">selected</cfif>>date</option>
													<option value="datetime" <cfif ThisColumn.Subtype eq "datetime">selected</cfif>>datetime</option>
												</select>
												</cfcase>
												<cfcase value="int">
												<select name="subtype" style="width:120px">
													<option value="integer" <cfif ThisColumn.Subtype eq "integer">selected</cfif>>integer</option>
													<option value="primarykey" <cfif ThisColumn.Subtype eq "primarykey">selected</cfif>>primarykey</option>
													<option value="foreignkey" <cfif ThisColumn.Subtype eq "foreignkey">selected</cfif>>foreignkey</option>
												</select>
												</cfcase>
												<cfcase value="money">
												<select name="subtype" style="width:120px">
													<option value="price" <cfif ThisColumn.Subtype eq "price">selected</cfif>>price</option>
												</select>
												</cfcase>
												<cfcase value="text">
												<select name="subtype" style="width:120px">
													<option value="text" <cfif ThisColumn.Subtype eq "text">selected</cfif>>text</option>
													<option value="formula" <cfif ThisColumn.Subtype eq "formula">selected</cfif>>formula</option>
												</select>
												</cfcase>
												<cfcase value="varchar">
												<select name="subtype" style="width:120px">
													<option value="text" <cfif ThisColumn.Subtype eq "text">selected</cfif>>text</option>
													<option value="email" <cfif ThisColumn.Subtype eq "email">selected</cfif>>email</option>
													<option value="phone" <cfif ThisColumn.Subtype eq "phone">selected</cfif>>phone</option>
													<option value="url" <cfif ThisColumn.Subtype eq "url">selected</cfif>>url</option>
													<option value="password" <cfif ThisColumn.Subtype eq "password">selected</cfif>>password</option>
													<!--- <hr>
													<option value="0" disabled="disabled">FORMULAS</option>
													<option value="concatenation" <cfif ThisColumn.Subtype eq "concatenation">selected</cfif>>concatenation</option> --->
												</select>
												</cfcase>
												<cfcase value="iframe">
												<select name="subtype" style="width:120px">
													<option value="summary" <cfif ThisColumn.Subtype eq "summary">selected</cfif>>summary</option>
												</select>
												</cfcase>
												<cfcase value="list">
												<select name="subtype" style="width:120px">
													<option value="grouplist" <cfif ThisColumn.Subtype eq "grouplist">selected</cfif>>grouplist</option>
													<!--- <option value="radiolist" <cfif ThisColumn.Subtype eq "radiolist">selected</cfif>>radiolist</option> --->
												</select>
												</cfcase>
												<cfcase value="filter">
												<select name="subtype" style="width:120px; ">
													<option value="filter_foreignkey" <cfif ThisColumn.Subtype eq "filter_foreignkey">selected</cfif>>filter_foreignkey</option>
													<option value="filter_string" <cfif ThisColumn.Subtype eq "filter_string">selected</cfif>>filter_string</option>
												</select>
												</cfcase>
												<cfcase value="custom">
												<i>custom</i>
												<input type="hidden" name="subtype" value="<i>custom</i>">
												</cfcase>
												<cfdefaultcase>
												UnsupportedSubType
												<input type="hidden" name="subtype" value="UnsupportedSubType">
												</cfdefaultcase>
											</cfswitch></td>
										<td align="right">Fieldset:</td>
										<td><input name="fieldset" type="text" value="#ThisColumn.FieldSet#" style="width:100%" /></td>
									</tr>
									<tr>
										<td align="right" height="21"><input id="display_cbx" name="display" type="checkbox" value="1" <cfif ThisColumn.Display eq 1>checked</cfif> /></td>
										<td><label for="display_cbx">Display in Reporter</label></td>
										<td align="right"><input id="editable_cbx" name="editable" type="checkbox" value="1" <cfif ThisColumn.Editable eq 1>checked</cfif> /></td>
										<td><label for="editable_cbx">Editable</label></td>
									</tr>
									<tr>
										<td align="right" height="21"><input id="summary_cbx" name="summary" type="checkbox" value="1" <cfif ThisColumn.Summary eq 1>checked</cfif> /></td>
										<td><label for="summary_cbx">Display in Summary</label></td>
										<td align="right"><input id="required_cbx" name="required" type="checkbox" value="1" <cfif ThisColumn.Required eq 1>checked</cfif> /></td>
										<td><label for="required_cbx">Required</label></td>
									</tr>
									<tr>
										<td align="right" height="21"><input id="sortable_cbx" name="sortable" type="checkbox" value="1" <cfif ThisColumn.Sortable eq 1>checked</cfif> /></td>
										<td><label for="sortable_cbx">Sortable</label></td>
										<td align="right"><input id="calculate_cbx" name="calculate" type="checkbox" value="1" <cfif ThisColumn.Calculate eq 1>checked</cfif> /></td>
										<td><label for="calculate_cbx">Calculate</label></td>
									</tr>
									<tr>
										<td align="right" height="21"><input id="summate_cbx" name="summate" type="checkbox" value="1" <cfif ThisColumn.Summate eq 1>checked</cfif> /></td>
										<td><label for="summate_cbx">Summate</label></td>
										<td align="right"><input id="encrypt_cbx" name="encrypt" type="checkbox" value="1" <cfif ThisColumn.Encrypt eq 1>checked</cfif> /></td>
										<td><label for="encrypt_cbx">Encrypt</label></td>
									</tr>
									<tr>
										<td align="right" height="21"><input id="unused1_cbx" type="checkbox" disabled="disabled" /></td>
										<td><label for="unused1_cbx">-</label></td>
										<td align="right"><input id="unused2_cbx" type="checkbox" disabled="disabled" /></td>
										<td><label for="unused2_cbx">-</label></td>
									</tr>
									<tr>
										<td align="right"><a href="help.cfm?config=options" target="_blank" onClick="window.open('help.cfm?config=options','','width=640,height=800,status=1,scrollbars=1,resizable=1');return false;">Options</a>:</td>
										<td colspan="3"><input name="options" type="text" value="#Replace(ThisColumn.Options,"""","&quot;","all")#" style="width:100%" /></td>
									</tr>
								</cfoutput>
							</table>
							<p>
								<input name="submit" type="submit" id="submit" value="Update Padsite Parameters" />
							</p>
						</form></td>
				</tr>
			</table>
		</div>
		<cfelseif IsDefined("url.move")>
		<cfquery name="ColumnInfo" datasource="#Application.psDataSource#">
		select * from #Application.psSchemaTable# where ID = #Val(url.id)#;
		</cfquery>
		<cftransaction>
			<cfquery name="Reorder" datasource="#Application.psDataSource#">
			update #Application.psSchemaTable# set Queue = (Queue - #url.move#) where TableName = '#url.table#' and Queue = #ColumnInfo.Queue + url.move#;
			update #Application.psSchemaTable# set Queue = (Queue + #url.move#) where ID = #Val(url.id)#;
			</cfquery>
		</cftransaction>
		<cflocation url="/padsite/setup.cfm?table=#url.table#">
		<!--- DELETE COLUMN --->
		<cfelseif IsDefined("url.deletecolumn") and not Find(Application.psIllegal_URL_Chars,url.deletecolumn)>
		<cfquery name="ColumnInfo" datasource="#Application.psDataSource#">
		select Queue,DataType from #Application.psSchemaTable# where FieldName = '#url.deletecolumn#' and TableName = '#url.table#';
		</cfquery>
		<cftransaction>
			<cfquery name="DeleteColumn" datasource="#Application.psDataSource#">
			delete from #Application.psSchemaTable# where FieldName = '#url.deletecolumn#' and TableName = '#url.table#';
			update #Application.psSchemaTable# set Queue = (Queue - 1) where TableName = '#url.table#' and Queue > #ColumnInfo.Queue#;
			<cfif not ListFind(psNonStandardDataTypes,ColumnInfo.DataType)>
				if exists (select column_name from information_schema.columns where table_name = '#url.table#' and column_name = '#url.deletecolumn#')
					alter table #url.table# drop column #url.deletecolumn#;
			</cfif>
			</cfquery>
		</cftransaction>
		<cflocation url="/padsite/setup.cfm?table=#url.table#">
		<cfelseif IsDefined("form.action")>
		<cfswitch expression="#form.action#">
			<cfcase value="cctc">
			<cfif form.SourceColumn neq 0 and form.DestinationColumn neq 0>
				<cftransaction>
					<cfquery name="CopyColumn" datasource="#Application.psDataSource#">
					update #form.table# set #form.DestinationColumn# = (#form.SourceColumn#)
					</cfquery>
				</cftransaction>
				<script>window.close();</script>
				<cfelse>
				<p>Go back and select column source and destination.</p>
			</cfif>
			</cfcase>
		</cfswitch>
		<cfelseif IsDefined("url.action")>
		<cfswitch expression="#url.action#">
			<cfcase value="cctc">
			<!--- copy column to column --->
			<cfquery name="GetColumns" datasource="#Application.psDataSource#">
			select * from #Application.psSchemaTable# where TableName = '#url.table#'
			</cfquery>
			<div style="padding:20px 40px">
				<p>Select columns to copy from/to:</p>
				<form method="post">
					<input name="action" type="hidden" value="cctc" />
					<cfoutput>
						<input name="table" type="hidden" value="#url.table#" />
					</cfoutput>
					<select name="SourceColumn">
						<option value="0">Select...</option>
						<cfoutput query="GetColumns">
							<option value="#FieldName#">#FieldName# (#DataType##IIf(DataType eq "varchar",DE(DataSize),DE(""))#)</option>
						</cfoutput>
					</select>
					to
					<select name="DestinationColumn">
						<option value="0">Select...</option>
						<cfoutput query="GetColumns">
							<option value="#FieldName#">#FieldName# (#DataType##IIf(DataType eq "varchar",DE(DataSize),DE(""))#)</option>
						</cfoutput>
					</select>
					<input name="submit" type="submit" value="Copy Column" />
					<hr />
					<p>Future options (not working)...</p>
					<p>
						<input name="onlycopytoblank" type="checkbox" value="1" />
						Only copy if destination is empty.</p>
				</form>
			</div>
			</cfcase>
		</cfswitch>
	</cfif>
</cfif>
</body>
</html>
