<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Help</title>
<style>
@import url("/css/default.css");
body, div, td, a, a:link, a:hover, a:active, a:visited, h1, p {
	color:white;
}
</style>
<style type="text/css">
<!--
body {
	margin-left: 20px;
	margin-top: 20px;
	margin-right: 20px;
}
-->
</style>
</head>
<body class="administrator">
<h1>Help</h1>
<cfif IsDefined("url.config")>
	<cfswitch expression="#url.config#">
		<cfcase value="options">
		<table width="100%" border="0" cellspacing="1" cellpadding="1">
			<tr>
				<td valign="top"><strong>Type</strong></td>
				<td valign="top"><strong>Subtype</strong></td>
				<td valign="top">&nbsp;</td>
				<td valign="top"><strong>Options String Description</strong></td>
			</tr>
			<tr>
				<td colspan="4" valign="top" style="border-bottom:1px solid white; "></td>
			</tr>
			<tr>
				<td valign="top">filter*</td>
				<td valign="top">filter_foreignkey</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Filter data table by foreign key<br />
					ex. 1,CategoryName,appname_Categories,appname_CategoriesID</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">filter_string</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Filter data table by string from (any?) table<br />
					ex. 1,Position,appname_Employees</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
			</tr>
			<tr>
				<td valign="top">iframe</td>
				<td valign="top">summary</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Enter filename of page to display in iframe followed by (optional) height in pixels (defaults to 300), field to sort by and order (asc or desc)<br />
					ex. test.cfm,250,Queue,desc</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
			</tr>
			<tr>
				<td valign="top">int</td>
				<td valign="top">foreignkey</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Foreign Keys are noted as 1,FieldName,TableName,WhereClause(optional) where FieldName contains the values that will be shown to the user while the ID value will be stored in the database. WhereClause will be dropped directly into the SQL statement.<br />
					ex. 1,Access,appname_Access,PickMe=1</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
			</tr>
			<tr>
				<td valign="top">list</td>
				<td valign="top">grouplist</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Group Lists are noted as NumberOfColumns, DisplayName, IDListName, GroupTable<br />
					ex. 2,GroupName,MemberIDs,appname_Groups</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
			</tr>
			<tr>
				<td valign="top">text<br /></td>
				<td valign="top">text</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">For textareas, enter NumberOfLines,Label/NoLabel<br />
					ex. 45,NoLabel</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Also used as a <em>container</em> for files (images, pdfs, etc)</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">image,</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Enter path,sizing constraint,size (repeat size as needed from highest to lowest)<br />
					ex. /photos/,width,640[,240,64]</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">audio,</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Currently unsupported</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">video,</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Currently unsupported</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">pdf</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Enter path ex. /pdf/</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">file</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Enter path ex. /files/</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
			</tr>
			<tr>
				<td valign="top">varchar</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">Available Commands: Select,<br />
					ex. Select:None,Member,Administrator,Webmaster</td>
			</tr>
			<tr>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
				<td valign="top">&nbsp;</td>
			</tr>
		</table>
		<p>*Use only 1 filter per table max</p>
		</cfcase>
	</cfswitch>
	<p>To use queueing, add a field named Queue and make it visible by checking Display. This will make the Queue (edit) button appear in util/reporter and if clicked, will reload the same page with the reordering app module instead.</p>
	<p>&nbsp;</p>
</cfif>
</body>
</html>
