<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Message Log | <cfoutput>#AppName#</cfoutput></title>
<style>
@import url("/css/default.css");
a:not(#adminEmailMessageBlock) {
	margin-right: 6px;}
#adminEmailMessageBlock {
	-moz-border-radius: 20px;
	border-radius: 20px;}
</style>
<script type="text/javascript" src="/js/functions.js"></script>

<!-- user vars -->
<cfset AccessRequired = TRUE>
<cfset AccessAllowed = "Webmaster,Administrator">
<!--- <cfset PageName = ""> --->
<cfset TableName = "webjack_MessageLog">
<!--- <cfset NewRecordLabel = "Add ..."> --->
<!--- <cfset Reporter = "">
<cfset Editor = "">
<cfset EditorAccess = "">
<cfset EditorWindowSize = ""> --->
<cfset Viewer = "messagelog.cfm">
<cfset ViewerAccess = "Webmaster,Administrator">
<cfset ViewerWindowSize = "800,600">
<!-- user vars -->

<!--- setting vars --->
<cfset MaxEmailsDisplayedByDefault = 1>
<!--- end setting vars --->

</head>
<body id="summary">
<cfif not AccessRequired or (IsDefined("Session.Access") and ListFind(AccessAllowed,Session.Access))>
	
	<cfquery name="Schema" datasource="#Application.psDataSource#">
	select * from #Application.psSchemaTable# where TableName = '#TableName#' order by ID
	</cfquery>
	
	<cfif IsDefined("url.id")>
		<cfif IsDefined("url.action") and url.action eq "delete">
			<cfquery name="delete" dataSource="#Application.psDataSource#">
			delete from #MessageLogTable# where ID = #Val(url.id)#
			</cfquery>
			<script language="javascript">window.opener.location.reload();window.close();</script>
			<cfabort>
		</cfif>
		<cfquery name="Message" dataSource="#Application.psDataSource#">
		select * from #MessageLogTable# where ID = #Val(url.id)#
		</cfquery>
		<div id="admin_Nav" class="mainMenu">
			<div style="float:left;padding:8px 12px;"><cfoutput>#Message.Subject#</cfoutput></div>
			<div style="float:right;padding:8px 12px;"><cfoutput><input type="button" value="Close" onclick="window.close()"><input type="button" value="Delete" onclick="if (confirm('Are you sure you want to remove this message from the message log?')) window.location='?action=delete&id=#Val(url.id)#'"></cfoutput></div>
		</div>
		<div style="padding:0px 40px;">
			<!--- display selected message --->
			<cfoutput query="Message">
				<div style="padding:10px 24px;">
					<div>
						<p>Sent By: <a href="mailto:#Sender#">#Sender#</a> on #DateFormat(Sent,"dddd, mmm d, yyyy")# at #TimeFormat(Sent,"short")#</p>
						Sent To:
  					<cfif ListLen(RecipientList) gt MaxEmailsDisplayedByDefault>
  						<cfloop from="1" to="#MaxEmailsDisplayedByDefault#" index="i">
  							<a href="mailto:#ListGetAt(RecipientList,i)#">#ListGetAt(RecipientList,i)#</a>
  						</cfloop>
  						<!--- click to expand div --->
  						<div id="showAdditionalRecipients" style="display:inline;" onclick="this.style.display='none'; getStyleObject('additionalRecipients').display='inline';">
  							and <a href="##showAdditionalEmails" onclick="return false;">#ListLen(RecipientList)-MaxEmailsDisplayedByDefault# more...</a>
  						</div>
  						<div id="additionalRecipients" style="display:none;">
  							<cfloop from="#MaxEmailsDisplayedByDefault+1#" to="#ListLen(RecipientList)#" index="i">
  								<a href="mailto:#ListGetAt(RecipientList,i)#">#ListGetAt(RecipientList,i)#</a>
  							</cfloop>
  							<br><a href="##hideAdditionalEmails" onclick="getStyleObject('additionalRecipients').display='none';getStyleObject('showAdditionalRecipients').display='inline';return false;">hide additional emails</a>
  						</div>
  						<cfelse>
  						<cfloop from="1" to="#ListLen(RecipientList)#" index="i">
  							<a href="mailto:#ListGetAt(RecipientList,i)#">#ListGetAt(RecipientList,i)#</a>
  						</cfloop>
  					</cfif>
						<!--- <p>Selector Code: #Selector#</p> --->
						<p>#Attachments#</p>
					</div>
				</div>
				<div id="adminEmailMessageBlock" style="padding:32px 24px; clear:both; display:block; background-color:##FFF;">
					#ParagraphFormat(Message)#
				</div>
				<div style="padding:10px 24px;">
					<p>Mailing Results:</p>
					<cfset ValidAddressesList = ListGetAt(ListGetAt(RecipientResults,1,"|"),2,":")>
					<ul style="float:left">
						<li>Valid addresses:</li>
						<ul>
							<cfloop list="#ValidAddressesList#" index="addr">
  							<li>#addr#</li>
  						</cfloop>
						</ul>
  				</ul>
					<cfset InvalidAddressesList = ListGetAt(RecipientResults,2,"|")>
					<cfif ListLen(InvalidAddressesList) gt 1>
						<cfset InvalidAddressesList = ListGetAt(InvalidAddressesList,2,":")>
						<ul style="float:left;">
	  					<li>Invalid addresses:</li>
	  					<ul>
								<cfloop list="#InvalidAddressesList#" index="addr">
	  							<li>#addr#</li>
	  						</cfloop>
	  					</ul>
	  				</ul>
	  				<cfelse>
	  				<p style="clear:both;">No invalid recipient addresses found.</p>
					</cfif>
					<p style="clear:both;">Viewing Statistics... (coming someday)</p>
				</div>
			</cfoutput>
		</div>
		<cfelse>
		<div style="padding:0px 0px;">
			<!--- display message log --->
			<cfparam name="url.select" default="0">
			<cfparam name="url.parentid" default="0">
			<cfparam name="url.sort" default="ID">
			<cfparam name="url.order" default="asc">
			<cfquery name="Table" datasource="#Application.psDataSource#">
			select * from #MessageLogTable# order by #SpanExcluding(url.sort,Application.psIllegal_URL_Chars)# #SpanExcluding(url.order,Application.psIllegal_URL_Chars)#
			</cfquery>
			<cfset i = 1>
			<table width="100%" border="0" cellspacing="1" cellpadding="3">
				
			  <tr>
			  	<cfset i = 0>
			  	<cfloop list="#ValueList(Schema.FieldName)#" index="CurrentItem">
			  		<cfset i = i + 1>
			  		<cfif Schema.Summary[i]>
			  			<cfif Schema.Sortable[i]>
			  				<cfoutput>
			  					<cfif url.sort eq CurrentItem and url.order eq "asc">
			  						<cfset SortOrder = "desc">
			  						<cfelseif url.sort neq CurrentItem and url.order eq "desc">
			  						<cfset SortOrder = "desc">
			  						<cfelse>
			  						<cfset SortOrder = "asc">
			  					</cfif>
			  					<th nowrap style="padding:0px; <cfif Schema.DataType[i] neq "text">cursor:pointer;</cfif>" <cfif Schema.DataType[i] neq "text">onClick="window.location='?select=#SpanExcluding(url.select,Application.psIllegal_URL_Chars)#&sort=#CurrentItem#&order=#SortOrder#'"</cfif>><div class="table_ColumnTab" onMouseOver="this.style.backgroundColor='##FFFFFF'" onMouseOut="this.style.backgroundColor='##EEEEEE'">
			  							<div style="float:left">
			  								<cfif Schema.Subtype[i] eq "foreignkey">
			  									<strong>#Trim(REReplace(ListGetAt(Schema.Options[i],2),"([A-Z])"," \1","all"))#</strong>
			  									<cfelse>
			  									<strong>#Trim(REReplace(CurrentItem,"([A-Z])"," \1","all"))#</strong>
			  								</cfif>
			  							</div>
			  							<div style="float:right;margin-left:10px;margin-top:1px;">
			  								<cfif Schema.DataType[i] neq "text">
			  									<cfif url.sort eq CurrentItem>
			  										<cfif url.order eq "asc">
			  											<img src="/img/sort_asc.gif" width="9" height="12" hspace="0" vspace="1" />
			  											<cfelse>
			  											<img src="/img/sort_desc.gif" width="9" height="12" hspace="0" vspace="1" />
			  										</cfif>
			  										<cfelse>
			  										<img src="/img/sort_null.gif" width="9" height="12" hspace="0" vspace="1" />
			  									</cfif>
			  								</cfif>
			  							</div>
			  						</div>
			  					</th>
			  				</cfoutput>
			  				<cfelse>
			  				<cfoutput>
			  					<th style="padding:0px;"><div class="table_ColumnTab"> <strong>#Trim(REReplace(CurrentItem,"([A-Z])"," \1","all"))#</strong> </div></th>
			  				</cfoutput>
			  			</cfif>
			  			<cfelse>
			  		</cfif>
			  	</cfloop>
			  </tr>
				
				<cfoutput query="Table">
					<cfset i = 0>
					<tr onMouseOver="this.style.backgroundColor='##FFFFCC'" onMouseOut="this.style.backgroundColor='##DDD'" onClick="window.open('#Viewer#?id=#ID#','','width=#ListGetAt(ViewerWindowSize,1)#,height=#ListGetAt(ViewerWindowSize,2)#,status=1,scrollbars=1,resizable=1')" style="cursor:pointer;background-color:##DDD;">
						<cfloop list="#ValueList(Schema.FieldName)#" index="CurrentItem">
							<cfset i = i + 1>
							<cfif Schema.Summary[i] eq 1>
								<td style="padding:3px 8px;">
									<cfswitch expression="#Schema.DataType[i]#">
										<cfcase value="bit">
										<cfif Schema.Subtype[i] eq "yes/no">
											#IIf(Evaluate(CurrentItem),DE("Yes"),DE("No"))#
											<cfelseif Schema.Subtype[i] eq "dot/dash">
											<cfif Evaluate(CurrentItem)>
												<strong style="color:##006600">&bull;</strong>
												<cfelse>
												<span style="color:##CC0000">-</span>
											</cfif>
											<cfelseif Schema.Subtype[i] eq "true/false">
											#IIf(Evaluate(CurrentItem),DE("True"),DE("False"))#
											<cfelse>
											#Evaluate(CurrentItem)#
										</cfif>
										</cfcase>
										<cfcase value="datetime">
										<span style="float:right;">#DateFormat(Evaluate(CurrentItem),"yyyy-mm-dd")#</span>
										<!--- <cfif Schema.Subtype[i] eq "datetime">
											#TimeFormat(Evaluate(CurrentItem),"short")#
										</cfif> --->
										</cfcase>
										<cfcase value="int">
										<cfif Schema.Subtype[i] eq "foreignkey" and ListGetAt(Schema.Options[i],2) neq "-">
											<cfquery name="Relative" datasource="#Application.psDataSource#">
											select #ListGetAt(Schema.Options[i],2)# as ThisValue from #ListGetAt(Schema.Options[i],3)# where ID = #Evaluate(CurrentItem)#
											</cfquery>
											#Relative.ThisValue#
											<cfelse>
											#Evaluate(CurrentItem)#
										</cfif>
										</cfcase>
										<cfcase value="varchar">
										<cfif Schema.Subtype[i] eq "email">
											#SpanExcluding(Evaluate(CurrentItem),"@")#@...
											<cfelse>
											#Evaluate(CurrentItem)#
										</cfif>
										</cfcase>
										<cfdefaultcase>
										#Evaluate(CurrentItem)#
										</cfdefaultcase>
									</cfswitch>
								</td>
							</cfif>
						</cfloop>
					</tr>
				</cfoutput>
			</table>
		</div>
	</cfif>
	<cfelse>
	<cflocation url="/admin/?session=expired">
</cfif>
</body>
</html>

