<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>/padsite/services/_lib/page</title>
<style>
/* @import url("/css/reset.css"); */
@import url("/css/default.css");
body {
	margin-left: 40px;
	margin-top: 30px;
	margin-right: 40px;
}
body, div, td, a, a:link, a:hover, a:active, a:visited {color:white;}
</style>
</head>
<body class="administrator">
<!--- config/page.cfm is for editing admin pages; intended for use by webmaster only --->
<cfif IsDefined("Session.Access")>
	<cfif IsDefined("form.submit")>
		<cfparam name="form.ps_accessrequired" default="0">
		<cfparam name="form.ps_access" default="">
		<cfparam name="form.ps_editoraccess" default="">
		<cfparam name="form.ps_vieweraccess" default="">
		<cfparam name="form.ps_DataTable" default="#form.table#">
		<cfset ListOfStringFields = "ps_Menu,ps_Filename,ps_Summary,ps_PageTitle,ps_PageSubtype,ps_DefaultQueryString,ps_DataTable,ps_Access,ps_RecordName,ps_Editor,ps_EditorAccess,ps_EditorWindowSize,ps_Viewer,ps_ViewerAccess,ps_ViewerWindowSize">
		<cfset ListOfNumericFields = "ps_AccessRequired">
		<cfset SQL_TableName = Application.psAdminPagesTable>
		<cfset form.id = form.page>
		<cfinclude template="/padsite/services/_lib/sql.cfm">
		<cfif IsDefined("NewRecord.ID")>
			<cftransaction>
				<cfquery name="Queue" dataSource="#Application.psDataSource#">
				select max(Queue) as MaxQueue from #Application.psAdminPagesTable# where ps_Menu <> '';
				</cfquery>
				<cfquery name="UpdateQueue" dataSource="#Application.psDataSource#">
				update #Application.psAdminPagesTable# set Queue = (Queue + 1) where Queue > #Queue.MaxQueue#;
				update #Application.psAdminPagesTable# set Queue = #Queue.MaxQueue + 1# where ID = #NewRecord.ID#;
				</cfquery>
			</cftransaction>
		</cfif>
		<cfif form.submit eq "Save and Close">
			<script>window.opener.location.reload();window.close();</script>
			<cfelse>
			<script>window.opener.location.reload();</script>
			<cfif IsNumeric(form.page)>
				<cflocation url="page.cfm?page=#form.page#&table=#form.table#">
				<cfelse>
				<cflocation url="page.cfm?page=#NewRecord.ID#&table=#form.table#">
			</cfif>
		</cfif>
		<cfelseif IsDefined("url.delete")>
		<cfquery name="Delete" datasource="#Application.psDataSource#">
		delete from #Application.psAdminPagesTable# where ID = #Val(url.delete)#
		</cfquery>
		<cflocation url="/padsite/setup.cfm?table=#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#">
		<cfelseif IsDefined("url.page")>
		<cfquery name="Page" dataSource="#Application.psDataSource#">
		select * from #Application.psAdminPagesTable# where ID = #Val(url.page)#
		</cfquery>
		<cfquery name="AccessLevels" dataSource="#Application.psDataSource#">
		select distinct Access from #Application.psAccountsTable# order by Access desc
		</cfquery>
		<cfset AccessLevelList = ValueList(AccessLevels.Access)>
		<cfif IsNumeric(url.page)>
			<cfset EditMode = true>
			<cfelse>
			<cfset EditMode = false>
		</cfif>
		<form method="post">
			<cfoutput>
				<input name="page" type="hidden" value="#url.page#" />
				<input name="table" type="hidden" value="#url.table#" />
				<td valign="top"><table width="100%">
						<tr>
							<td align="right">Page Menu</td>
							<td><input type="text" name="ps_menu" value="#Page.ps_Menu#" size="28"></td>
						</tr>
						<tr>
							<td align="right">Page Title</td>
							<td><input type="text" name="ps_pagetitle" value="#Page.ps_PageTitle#" size="28"></td>
						</tr>
						<tr>
							<td align="right">File Name</td>
							<td><input name="ps_filename" type="text" value="#Page.ps_Filename#" size="28" />
								<!--- cfif not FileExists() show create button and send current value of field to a subroutine -- or maybe just delete and recreate regardless --->
								<cfif FileExists(ExpandPath("/padsite/user/#Page.ps_Filename#"))>
									<input type="button" name="button" value="Update" onclick="window.open('page_gen.cfm?action=update&id=#Page.ID#&page=reporter','','width=300,height=100');return false;" <cfif Left(Page.ps_Filename,2) eq "x_">disabled</cfif> />
									<cfelse>
									<input type="button" name="button" value="Create" onclick="window.open('page_gen.cfm?action=create&id=#Page.ID#&page=reporter','','width=300,height=100');return false;" <cfif url.page eq "new" or Page.ps_Filename eq "" or Left(Page.ps_Filename,2) eq "x_">disabled</cfif> />
								</cfif></td>
						</tr>
						<!--- removed page type field and will use separate tables for admin pages and user pages <tr>
							<td align="right">Page Type</td>
							<td><select name="ps_pagetype">
									<option value="admin" <cfif Page.ps_Pagetype eq "admin">selected</cfif>>admin</option>
									<option value="user" <cfif Page.ps_Pagetype eq "user">selected</cfif>>user</option>
								</select>
							</td>
						</tr> --->
						<tr>
							<td align="right">Page Subtype</td>
							<td><select name="ps_pagesubtype">
									<cfloop list="none,#Application.psListOfMultipleEntityPageSubtypes#" index="CurrentPageSubtype">
										<option value="#CurrentPageSubtype#" <cfif CurrentPageSubtype eq Page.ps_PageSubtype>selected</cfif>>#CurrentPageSubtype#</option>
									</cfloop>
								</select></td>
						</tr>
						<tr>
							<td align="right">Default Query String</td>
							<td><input type="text" name="ps_defaultquerystring" value="#Page.ps_defaultquerystring#" size="42"></td>
						</tr>
						<tr>
							<td align="right">Summary</td>
							<td><input name="ps_summary" type="text" value="#Page.ps_Summary#" size="28" />
								<cfif FileExists(ExpandPath("/padsite/user/#Page.ps_Summary#"))>
									<input type="button" name="button" value="Update" onclick="window.open('page_gen.cfm?action=update&id=#Page.ID#&page=summary','','width=300,height=100');return false;" <cfif Left(Page.ps_Summary,2) eq "x_">disabled</cfif>/>
									<cfelse>
									<input type="button" name="button" value="Create" onclick="window.open('page_gen.cfm?action=create&id=#Page.ID#&page=summary','','width=300,height=100');return false;" <cfif url.page eq "new" or Page.ps_Summary eq "" or Left(Page.ps_Summary,2) eq "x_">disabled</cfif> />
								</cfif></td>
						</tr>
						<!--- <tr>
							<td align="right"><input name="ps_generatesummary" type="checkbox" value="1" <cfif Page.ps_GenerateSummary eq 1>checked</cfif> /></td>
							<td>Generate Summary</td>
						</tr> --->
						<tr>
							<td align="right"><input name="ps_accessrequired" type="checkbox" value="1" <cfif Page.ps_AccessRequired eq 1>checked</cfif> /></td>
							<td>Access Required</td>
						</tr>
						<tr>
							<td align="right" valign="top">&nbsp;</td>
							<td><select name="ps_access" size="3" multiple="multiple" style="width:170px;">
									<cfloop list="#AccessLevelList#" index="CurrentAccessLevel">
										<option value="#CurrentAccessLevel#" <cfif ListFind(Page.ps_Access,CurrentAccessLevel)>selected</cfif>>#CurrentAccessLevel#</option>
									</cfloop>
								</select></td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
						<tr>
							<td align="right">Record Name</td>
							<td><input name="ps_recordname" type="text" value="#Page.ps_RecordName#" size="28" /></td>
						</tr>
						<tr>
							<td align="right">Editor</td>
							<td><input name="ps_editor" type="text" value="#Page.ps_Editor#" size="28" />
								<cfif FileExists(ExpandPath("/padsite/user/#Page.ps_Editor#"))>
									<input type="button" name="button" value="Update" onclick="window.open('page_gen.cfm?action=update&id=#Page.ID#&page=editor','','width=300,height=100');return false;" <cfif Left(Page.ps_Editor,2) eq "x_">disabled</cfif> />
									<cfelse>
									<input type="button" name="button" value="Create" onclick="window.open('page_gen.cfm?action=create&id=#Page.ID#&page=editor','','width=300,height=100');return false;" <cfif url.page eq "new" or Page.ps_Editor eq "" or Left(Page.ps_Editor,2) eq "x_">disabled</cfif> />
								</cfif></td>
						</tr>
						<tr>
							<td align="right" valign="top">Access</td>
							<td><select name="ps_editoraccess" size="3" multiple="multiple" style="width:170px;">
									<cfloop list="#AccessLevelList#" index="CurrentAccessLevel">
										<option value="#CurrentAccessLevel#" <cfif ListFind(Page.ps_EditorAccess,CurrentAccessLevel)>selected</cfif>>#CurrentAccessLevel#</option>
									</cfloop>
								</select></td>
						</tr>
						<tr>
							<td align="right" valign="top">Window Size</td>
							<td><input name="ps_editorwindowsize" type="text" size="10" value="#Page.ps_EditorWindowSize#" /></td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
						<tr>
							<td align="right">&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
						<tr>
							<td align="right">Viewer</td>
							<td><input name="ps_viewer" type="text" value="#Page.ps_Viewer#" size="28" />
								<cfif FileExists(ExpandPath("/padsite/user/#Page.ps_Viewer#"))>
									<input type="button" name="button" value="Update" onclick="window.open('page_gen.cfm?action=update&id=#Page.ID#&page=viewer','','width=300,height=100');return false;" <cfif Left(Page.ps_Viewer,2) eq "x_">disabled</cfif> />
									<cfelse>
									<input type="button" name="button" value="Create" onclick="window.open('page_gen.cfm?action=create&id=#Page.ID#&page=viewer','','width=300,height=100');return false;" <cfif url.page eq "new" or Page.ps_Viewer eq "" or Left(Page.ps_Viewer,2) eq "x_">disabled</cfif> />
								</cfif></td>
						</tr>
						<tr>
							<td align="right" valign="top">Access</td>
							<td>
								<select name="ps_vieweraccess" size="3" multiple="multiple" style="width:170px;">
									<cfloop list="#AccessLevelList#" index="CurrentAccessLevel">
										<option value="#CurrentAccessLevel#" <cfif ListFind(Page.ps_ViewerAccess,CurrentAccessLevel)>selected</cfif>>#CurrentAccessLevel#</option>
									</cfloop>
								</select>
							</td>
						</tr>
						<tr>
							<td align="right">Window Size </td>
							<td><input name="ps_viewerwindowsize" type="text" size="10" value="#Page.ps_ViewerWindowSize#" /></td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td><input type="submit" name="Submit" value="Update" />
								&nbsp;
								<input type="submit" name="Submit" value="Save and Close" /></td>
						</tr>
					</table>
			
		</cfoutput></form>
	</cfif>
</cfif>
</body>
</html>
