<cfset AttemptsAllowedPer15Min = 20>

<cfparam name="form.username" default="">
<cfparam name="form.password" default="">
<cfif IsDefined("url.un") and IsDefined("url.pw")>
	<cfset form.submit = "Log In">
	<cfset form.username = url.un>
	<cfset form.password = url.pw>
	<cfset AutoLogin = true>
	<cfset UpdateAccountLastLogin = TRUE>
	<cfelse>
	<cfset AutoLogin = false>
	<cfset UpdateAccountLastLogin = TRUE>
</cfif>

<cftransaction>
	<cfquery name="InsertAccount" datasource="#Application.psDataSource#">
	if not exists (select 1 from #Application.psAccountsTable#)
		insert into #Application.psAccountsTable# (Username,Password,Access,FirstName,LastName,Name,LastLogin) values ('#form.username#','#Hash(form.password)#','Webmaster','#Application.psWebmaster.FirstName#','#Application.psWebmaster.LastName#','#Application.psWebmaster.LastName#, #Application.psWebmaster.FirstName#',#Now()#);
	</cfquery>
</cftransaction>

<cfif IsDefined("form.submit") and form.submit eq "Log In">

	<cfquery name="LogLogin" dataSource="#Application.psDataSource#">
	insert into #Application.psLoginsTable# (Username,Password,Timestamp) values ('#form.username#','#form.password#',#Now()#);
	select max(ID) as NewID from #Application.psLoginsTable#;
	</cfquery>
	<cfquery name="LoginAttempts" dataSource="#Application.psDataSource#">
	select ID from #Application.psLoginsTable# where Username = '#form.username#' and Timestamp > #DateAdd("n",-15,Now())#
	</cfquery>
	<cfif LoginAttempts.RecordCount gt AttemptsAllowedPer15Min>
		<p>Account Locked: No more than <cfoutput>#AttemptsAllowedPer15Min#</cfoutput> login attempts are allowed in a 15 minute period.</p>
		<cfmail to="#Application.psWebmaster.Email#" from="#Application.psWebmaster.Email#" subject="ACCOUNT LOCKOUT on #Application.ApplicationName# Login" server="#Application.psMailServer#">Account: #form.username#</cfmail>
		<cfabort>
		<cfelse>
		<cfquery name="Account" datasource="#Application.psDataSource#">
		select * from #Application.psAccountsTable# where Username = '#form.username#' and Password = '#IIf(AutoLogin,DE(form.password),DE(Hash(form.password)))#'
		</cfquery>
		<cfif Account.RecordCount eq 1 and (Account.Password eq Hash(form.password) or (AutoLogin and Account.Password eq form.password))>
			<cfset Session.ID = Account.ID>
			<cfset Session.Username = Account.Username>
			<cfset Session.Email = Account.Username>
			<cfset Session.Access = Account.Access>
			<cfset Session.Name = Account.FirstName & " " & Account.LastName>
			<cfquery name="UpdateLoginStatus" dataSource="#Application.psDataSource#">
			update #Application.psLoginsTable# set Successful = 1, Password = '********' where ID = #LogLogin.NewID#
			</cfquery>
			<cfif UpdateAccountLastLogin>
				<cfquery name="LogEntry" datasource="#Application.psDataSource#">
				update #Application.psAccountsTable# set LastLogin = #Now()# where ID = #Account.ID#
				</cfquery>
			</cfif>
			<cfif Session.Username eq "kimmiep@me.com">
				<cflocation url="/padsite/user/x_recipes.cfm?select=0&sort=Title&order=asc">
				<cfelse>
				<cflocation url="#cgi.HTTP_REFERER#">
			</cfif>
			<cfelse>
			<cflocation url="index.cfm?error=account_not_found">
		</cfif>
	</cfif>
	
	<cfelse>
	<cflocation url="index.cfm?error=invalid_login">
</cfif>
