	<div style="padding:0px 30px;">
		
		<cfquery name="Schema" datasource="#Application.psDataSource#">
		select * from #Application.psSchemaTable# where TableName = '#TableName#' order by Queue
		</cfquery>
		
 		<cfparam name="form.submit_btn" default="">
		<cfset EditorService = createObject("component", "padsite.services.editor")>
		
		<cfif IsDefined("form.search")>
			SearchMode ON
			<cfset Search = EditorService.psSearchRecords(TableName,Reporter)>
			<cfdump var="#Search#">
			
			<cfelseif IsDefined("form.id")>
			<cfif form.id neq 0>
				<cfset Edit = EditorService.psUpdateRecord(TableName,Val(form.id))>
				<cfelse>
				<cfset Edit = EditorService.psInsertRecord(TableName,Val(form.id))>
			</cfif>

	  	<cfif form.submit_btn eq "Save" or (form.submit_btn eq "" and TableName eq Application.psPageModulesTable)>
	  		<script>window.opener.location.reload();window.location.href='?id=<cfoutput>#Edit.RecordID#</cfoutput>';</script>
	  		<cfelse>
	  		<script>window.opener.location.reload();window.close();</script>
	  	</cfif>
	  	
	  	<cfelseif IsDefined("url.delete") and IsNumeric(url.delete)>
			<cfset EditorService = createObject("component", "padsite.services.editor")>
			<cfset Delete = EditorService.psDeleteRecord(TableName,Val(url.delete))>
	  	<script>window.opener.location.reload();window.close();</script>
			
			<cfelseif IsDefined("url.id") or IsDefined("url.search")>
			<form name="editorForm" method="post" enctype="multipart/form-data">
				<!--- display editor navigation and control options (save, etc) --->
				<cfinclude template="/padsite/views/editor/header.cfm">
				<!--- if url.view eq "recentsearches" display list of searches and process deletions --->
				<cfinclude template="/padsite/views/editor/recent_searches.cfm">
				<cfset OpenFieldset = FALSE>
				<cfset CurrentFieldset = "">
				<cfset i = 0>
				<cfloop list="#ValueList(Schema.FieldName)#" index="CurrentItem">
					<cfset i = i + 1>
					<!---<cfoutput>#i# #CurrentItem#: #Schema.DataType[i]#</cfoutput>--->
					<cfif Schema.Editable[i]>
						<cfinclude template="/padsite/views/editor/fieldsets.cfm">
						<cfoutput>
							<cfswitch expression="#Schema.DataType[i]#">
								<cfcase value="varchar">
								<cfinclude template="/padsite/views/editor/varchar.cfm">
								</cfcase>
								<cfcase value="text">
								<cfinclude template="/padsite/views/editor/text.cfm">
								</cfcase>
								<cfcase value="datetime">
								<cfinclude template="/padsite/views/editor/datetime.cfm">
								</cfcase>
								<cfcase value="bigint,int,smallint,tinyint,float,money">
								<cfinclude template="/padsite/views/editor/numeric.cfm">
								</cfcase>
								<cfcase value="bit">
								<cfinclude template="/padsite/views/editor/bit.cfm">
								</cfcase>
								<cfcase value="iframe">
								<cfinclude template="/padsite/views/editor/summary.cfm">
								</cfcase>
								<cfcase value="list">
								<cfinclude template="/padsite/views/editor/list.cfm">
								</cfcase>
								<cfcase value="custom">
								
								</cfcase>
								<cfdefaultcase>
								<cfif not SearchMode>
									<cfif not ListFind(Application.psNonStandardDataTypes,Schema.Datatype[i])>
										<div>
											<div class="label_div">#Trim(REReplace(CurrentItem,"([A-Z])"," \1","all"))#</div>
											<div class="value_div">#Evaluate("Table."&CurrentItem)#</div>
										</div>
										<cfelse>
										UnsupportedDataType:#Schema.DataType[i]#
									</cfif>
								</cfif>
								</cfdefaultcase>
							</cfswitch>
						</cfoutput>
					</cfif>
				</cfloop>
			</form>
		</cfif>
	</div>