<cfif not AccessRequired or (IsDefined("Session.Access") and ListFind(AccessAllowed,Session.Access))>
	<cfif not (IsDefined("url.display") and url.display eq "summary")>
		<div id="admin_Nav" class="mainMenu">
			<div style="float:left;padding:8px 0px;">
			  <cfif IsDefined("Session.Access")>
			  	<cfoutput>
			  		<!--- add support for a client's logo --->
			  		<!--- #SiteName# --->
			  		#Session.Access#
			  	</cfoutput>
			  	<cfelse>
			  	Please Log In
			  </cfif>
			</div>
			<cfquery name="PadsiteAdminPages" datasource="#Application.psDataSource#">
			if exists (select 1 from information_schema.tables where table_type = 'BASE TABLE' and table_name = '#Application.psAdminPagesTable#')
				select * from #Application.psAdminPagesTable# order by Queue;
				else
				select 'no_pages' as Status;
			</cfquery>
			<div style="float:right;">
			  <cfif IsDefined("Session.Access")>
			  
			  	<cfif IsDefined("PadsiteAdminPages.ps_Menu")>
			  		<cfset DisplayMenuItems = TRUE>
			  		<cfset MenuItemsList = ValueList(PadsiteAdminPages.ps_Menu)>
			  		<cfset CurrentMenu = "">
			  		<cfset OpenSubMenu = false>
			  		<cfelse>
			  		<cfset DisplayMenuItems = FALSE>
			  	</cfif>
			  	
			  	<ul id="adminNavBar">
			  		<li class="topNav"><a href="/padsite/user/index.cfm">Home</a></li>
			  		<cfif DisplayMenuItems>
				  		<cfloop from="1" to="#ListLen(ValueList(PadsiteAdminPages.ps_Menu))#" index="i">
				  			<cfif ListFind(PadsiteAdminPages.ps_Access[i],Session.Access)>
				  				
					  		  <cfif PadsiteAdminPages.ps_Menu[i] neq CurrentMenu>
					  		  	<cfset CurrentMenu = PadsiteAdminPages.ps_Menu[i]>
					  		  	<cfset ThisMenuItemCounter = 0>
					  		  	<cfloop list="#MenuItemsList#" index="MenuItem">
					  		  		<cfif CurrentMenu eq MenuItem><cfset ThisMenuItemCounter = ThisMenuItemCounter + 1></cfif>
					  		  	</cfloop>
					  		  	
					  		  	<cfif OpenSubMenu></ul></li></cfif>
					  		  	<cfif ThisMenuItemCounter gt 1>
					  		  		<cfset OpenSubMenu = true>
					  		  	</cfif>
					  		  	
					  		  	<cfoutput><li class="topNav"><a href="/padsite/user/#PadsiteAdminPages.ps_FileName[i]##PadsiteAdminPages.ps_DefaultQueryString[i]#">#CurrentMenu#</a>
					  		  		<cfif OpenSubMenu><ul></cfif>
					  		  	</cfoutput>
					  		  	
					  		  </cfif>
					  		  <cfif IsDefined("ThisMenuItemCounter") and ThisMenuItemCounter gt 1>
					  		 		<cfoutput><li><a href="/padsite/user/#PadsiteAdminPages.ps_FileName[i]##PadsiteAdminPages.ps_DefaultQueryString[i]#">#PadsiteAdminPages.ps_PageTitle[i]#</a></li></cfoutput>
					  		  </cfif>
				  				
				  			</cfif>
				  		</cfloop>
				  		<cfif OpenSubMenu></ul></li></cfif>
			  		</cfif>
			  		
			  		<cfif ListFind(Application.psConfigAccess,Session.Access)>
			  			<li class="topNav"><a href="/padsite/setup.cfm">Setup</a></li>
				  	</cfif>
				  	
			  		<li class="topNav"><a href="/padsite/services/logout.cfm">Logout</a></li>
			  	</ul>
			  </cfif>
			</div>
		</div>
	</cfif>
</cfif>
