<!--- <cfset ReportMonth = Report.ReportMonth> --->
<cfset ReportYear = Report.CurrentYear>
<cfset GetEvents = Report.Query>

<cfset EventCounter = 1>
<cfset CurrentFirstDayOffset = DayOfWeek(CreateDate(ReportYear,1,1)) - 1>

<div id="admin_Reporter_Header">
  <cfoutput>
  	<div style="float:left;font-weight:bold;margin-top:2px;">
  		#Trim(REReplace(Replace(TableName,"#Application.psTablePrefix#",""),"([A-Z])"," \1","all"))#
  		&nbsp;&nbsp;&nbsp;
		  [ #Report.Query.RecordCount# #IIf(Report.TotalRecords neq Report.Query.RecordCount,DE("of #Report.TotalRecords#"),DE(""))# <cfif Report.Query.RecordCount eq 1>Record<cfelse>Records</cfif> Found
		  <cfif Report.Query.RecordCount lt Report.TotalRecords>
		  	| <a href="#cgi.PATH_INFO#">Show All</a>
		  </cfif>
		  ]
  		<!--- <cfif ListLen(url.select,".") gte 2 and Report.TotalRecords gt Report.Query.RecordCount>[ <a href="##">Show All</a>]</cfif> --->
  	</div>
  	<div style="float:right;">
  	  <cfif IsDefined("RecordName") and RecordName neq "">
  	  	<input name="insert" type="button" value="New #RecordName#..." onClick="window.open('#Editor#?id=new','','width=#ListGetAt(EditorWindowSize,1)#,height=#ListGetAt(EditorWindowSize,2)#,status=1,scrollbars=1,resizable=1')" />
  	  </cfif>
		  <!--- display Search button --->
		  <cfif ListLen(EditorWindowSize) gte 2>
		  	<input name="search" type="button" value="Search" onclick="window.open('#Editor#?search=#TableName#','','width=#ListGetAt(EditorWindowSize,1)#,height=#ListGetAt(EditorWindowSize,2)#,status=1,scrollbars=1,resizable=1')" />
		  </cfif>
  	  <select name="export" onchange="exportCalendar(this);">
  	  	<option value="">Import/Export...</option>
  	  	<option value="" disabled="disabled">&nbsp;</option>
  	  	<option value="import_ics" disabled="disabled">Import iCalendar</option>
  	  	<option value="publishing">Publishing Details</option>
  	  	<option value="ics">Export iCalendar</option>
  	  	<option value="" disabled="disabled">&nbsp;</option>
  	  	<option value="html">View As Webpage</option>
  	  </select>
  	  <!--- <input name="download" type="button" value="Export" onclick="window.open('/padsite/services/_lib/export.cfm?export=#TableName#&select=#SpanExcluding(url.select,Application.psIllegal_URL_Chars)#','','')" /> --->
  	  <cfif ListFind(Application.psConfigAccess,Session.Access)>
  	  	<input name="config" type="button" value="Setup" onclick="window.location.href='/padsite/setup.cfm?table=#TableName#';">
  	  </cfif>
  	</div>
  </cfoutput>
</div>

<table width="100%" border="0" cellspacing="1" cellpadding="3">
  <tr>
  	<cfoutput>
  		<th colspan="7" nowrap style="padding:0px;">
  			<div class="table_ColumnTab" style="padding-bottom:9px;">
  				<div style="float:left">
  					#ReportYear#
  					<div style="display:inline;visibility:hidden;"><select></select></div>
  				</div>
  				<div style="float:right;margin-left:10px;">
  					<select name="view" onchange="window.location.href='?view='+this.value+'&offset=0&select=#Select#';">
  						<option value="ww" <cfif url.view eq 'ww'>selected</cfif>>Week</option>
  						<option value="m" <cfif url.view eq 'm'>selected</cfif>>Month</option>
  						<option value="yyyy" <cfif url.view eq 'yyyy'>selected</cfif>>Year</option>
  					</select>
  					
  					<a href="?view=#View#&offset=#Offset-1#&select=#Select#" style="font-weight:bold;">&lt;</a>
  					<a href="?view=#View#&offset=#Offset+1#&select=#Select#" style="font-weight:bold;">&gt;</a>

  					<select name="offset_year" onchange="window.location.href='?view=#View#&offset='+this.value+'&select=#Select#'">
  						<cfloop from="#Offset-20#" to="#Offset+25#" index="CurrentOffset">
  							<option value="#CurrentOffset#" <cfif CurrentOffset eq url.offset>selected</cfif>>#Year(Now()) + CurrentOffset#</option>
  						</cfloop>
  					</select>
  				</div>
  			</div></th>
  	</cfoutput>
  </tr>
</table>

<style>
.DayOfWeek {font-weight:bold;padding:4 10px;width:14%;background-color:#DDDDDD;}
</style>

<table width="100%" border="0" cellpadding="4" cellspacing="1" class="default" style="margin-top:-1px;">
<cfloop from="1" to="3" index="CurrentRow">
  <tr class="Default">
  	<cfloop from="#(CurrentRow - 1) * 4 + 1#" to="#CurrentRow * 4#" index="ThisMonth">
  		<td width="25%" valign="top" style="background-color:#CCCCCC;padding:10px;">
  			<div style="min-height:160px;padding-bottom:20px;">
  				<cfoutput><div style="font-weight:bold;">#MonthAsString(ThisMonth)#</div></cfoutput>
					<cfquery name="GetEventsThisMonth" dbtype="query">
  				select * from GetEvents where Start >= #CreateDate(ReportYear,ThisMonth,1)#
  					and Start < <cfif ThisMonth neq 12>#CreateDate(ReportYear,ThisMonth+1,1)#<cfelse>#CreateDate(ReportYear+1,1,1)#</cfif>
  				</cfquery>
  				<cfoutput query="GetEventsThisMonth">
  					<br>#DateFormat(Start,"d (ddd)")#
  					<a href="#Editor#?id=#ID#" class="Event" onclick="window.open('#Editor#?id=#ID#','','width=#ListGetAt(EditorWindowSize,1)#,height=#ListGetAt(EditorWindowSize,2)#,status=1,resizable=1,scrollbars=1');return false;">#Event#</a>
					</cfoutput>
  			</div>
			</td>
		</cfloop>
	</tr>
</cfloop>
</table>