<script src="/js/tablednd.js"></script>

<table width="100%" cellspacing="1" cellpadding="0" style="margin-bottom:-1px;">
  <tr>
  	<td>
  		<div class="table_ColumnTab" style="background-color:#FCC;">
  			<div style="float:left">Drag and drop rows to change their order.</div>
  			<div style="float:right">Click <a href="#" onclick="window.location.href='<cfoutput>#Summary#?parenttable=#url.parenttable#&parentid=#url.parentid#</cfoutput>'">Done</a> <!--- <input type="button" value="Done" onclick="window.location.href='<cfoutput>#cgi.PathName#</cfoutput>'"> ---> when finished.</div>
  		</div>
  	</td>
  </tr>
</table>

<table id="table-1" width="100%" border="0" cellspacing="1" cellpadding="3">
  <cfoutput query="Table">
  	<cfset i = 0>
  	<cfset j = 0>
  	<tr id="#CurrentRow#" bgcolor="##DDD" onMouseOver="this.style.backgroundColor='##FFC'" onMouseOut="this.style.backgroundColor='##DDD'">
  		<cfloop list="#ValueList(SummaryReport.Schema.FieldName)#" index="CurrentItem">
  			<cfset i = i + 1>
  			<cfif SummaryReport.Schema.Summary[i] eq 1>
  				<cfset j = j + 1>
  				<td style="padding:3px 8px;">
  					<cfswitch expression="#SummaryReport.Schema.DataType[i]#">
  						<cfcase value="bit">
  						<cfif SummaryReport.Schema.Subtype[i] eq "yes/no">
  							#IIf(Evaluate(CurrentItem) eq 1,DE("Yes"),DE("No"))#
  							<cfelseif SummaryReport.Schema.Subtype[i] eq "dot/dash">
  							<cfif Evaluate(CurrentItem)>
  								<strong style="color:##060">&bull;</strong>
  								<cfelse>
  								<span style="color:##C00">-</span>
  							</cfif>
  							<cfelseif SummaryReport.Schema.Subtype[i] eq "true/false">
  							#IIf(Evaluate(CurrentItem) eq 1,DE("True"),DE("False"))#
  							<cfelse>
  							#Evaluate(CurrentItem)#
  						</cfif>
  						</cfcase>
  						<cfcase value="datetime">
  						#DateFormat(Evaluate(CurrentItem),"yyyy-mm-dd")#
  						<cfif SummaryReport.Schema.Subtype[i] eq "datetime">
  							#TimeFormat(Evaluate(CurrentItem),"short")#
  						</cfif>
  						</cfcase>
  						<cfcase value="int">
  						<cfif SummaryReport.Schema.Subtype[i] eq "foreignkey" and ListGetAt(SummaryReport.Schema.Options[i],2) neq "-">
  							<cfquery name="Relative" datasource="#Application.psDataSource#">
  							select #ListGetAt(SummaryReport.Schema.Options[i],2)# as ThisValue from #ListGetAt(SummaryReport.Schema.Options[i],3)# where ID = #Evaluate(CurrentItem)#
  							</cfquery>
  							#Relative.ThisValue#
  							<cfelse>
  							#Evaluate(CurrentItem)#
  						</cfif>
  						</cfcase>
  						<cfdefaultcase>
  						#Evaluate(CurrentItem)#
  						</cfdefaultcase>
  					</cfswitch>
  				</td>
  			</cfif>
  		</cfloop>
  	</tr>
  </cfoutput>
</table>

<script>
var table = document.getElementById('table-1');
var tableDnD = new TableDnD();
// Redefine the findDropTargetRow to put some debug information in
tableDnD.findDropTargetRow = function(y) {
  var rows = this.table.tBodies[0].rows;
  var debugStr = "y is "+y+"<br>";
  for (var i=0; i<rows.length; i++) {
  	var row = rows[i];
  	var rowY    = this.getPosition(row).y;
  	var rowHeight = parseInt(row.offsetHeight)/2;
  if (row.offsetHeight == 0) {
  	rowY = this.getPosition(row.firstChild).y;
  	rowHeight = parseInt(row.firstChild.offsetHeight)/2;
  }
  // debugStr += "row["+i+"] between "+(rowY-rowHeight)+' and '+(rowY+rowHeight)+"<br>";
  	// Because we always have to insert before, we need to offset the height a bit
  	if ((y > rowY - rowHeight) && (y < (rowY + rowHeight))) {
  		// that's the row we're over
  		// document.getElementById('debug').innerHTML = debugStr+"found row";
  		return row;
  	}
  }
  // document.getElementById('debug').innerHTML = debugStr+"no matching row";
  return null;
}
// Redefine the onDrop so that we can display something
tableDnD.onDrop = function(table, row) {
  var rows = this.table.tBodies[0].rows;
  var debugStr = "";
    for (var i=0; i<rows.length; i++) {
  	debugStr += rows[i].id;
  	if (i < rows.length-1) debugStr += ",";
  }
  // document.getElementById('debug').innerHTML = 'row['+row.id+'] dropped<br>'+debugStr;
  // if (confirm('Are you sure you want to reorder these products?')) {
  if (true) {
  	<cfoutput>window.location = '#cgi.PathInfo#?requeue='+ debugStr + '&parenttable=#url.parenttable#&parentid=#url.parentid#';</cfoutput>
  	// setTimeout("window.opener.location.reload()",500);
  } else {
  	window.location.reload();
  }
}
 
tableDnD.init(table);
</script>
