    <!--- caluculate number of columns (ColSpan) in summary report --->
		<cfset ColSpan = 0>
		<cfloop list="#ValueList(SummaryReport.Schema.Summary)#" index="j">
			<cfif j eq 1><cfset ColSpan = ColSpan + 1></cfif>
		</cfloop>
		
		<cfset ShowSummaryRow = false>
		<cfoutput query="Table">
			<cfset i = 0>
			<tr bgcolor="##dddddd" onMouseOver="this.style.backgroundColor='##ffffcc'" onMouseOut="this.style.backgroundColor='##dddddd'" onClick="window.open('#Editor#?id=#ID#&parentTable=#SpanExcluding(url.parenttable,Application.psIllegal_URL_Chars)#&parentID=#Val(url.parentid)#','','width=#ListGetAt(EditorWindowSize,1)#,height=#ListGetAt(EditorWindowSize,2)#,status=1,scrollbars=1,resizable=1')" style="cursor:pointer">
				<cfloop list="#ValueList(SummaryReport.Schema.FieldName)#" index="CurrentItem">
					<cfparam name="#CurrentItem#_Summation" default="0">
					<cfset i = i + 1>
					<cfif SummaryReport.Schema.Summary[i] eq 1>
						<td style="padding:3px 8px;">
							<cfswitch expression="#SummaryReport.Schema.DataType[i]#">
								<cfcase value="bit">
								<cfif SummaryReport.Schema.Subtype[i] eq "yes/no">
									#IIf(Evaluate(CurrentItem) eq 1,DE("Yes"),DE("No"))#
									<cfelseif SummaryReport.Schema.Subtype[i] eq "dot/dash">
									<cfif Evaluate(CurrentItem)>
										<strong style="color:##006600">&bull;</strong>
										<cfelse>
										<span style="color:##cc0000">-</span>
									</cfif>
									<cfelseif SummaryReport.Schema.Subtype[i] eq "true/false">
									#IIf(Evaluate(CurrentItem) eq 1,DE("True"),DE("False"))#
									<cfelse>
									#Evaluate(CurrentItem)#
								</cfif>
								</cfcase>
								<cfcase value="datetime">
								#DateFormat(Evaluate(CurrentItem),"yyyy-mm-dd")#
								<cfif SummaryReport.Schema.Subtype[i] eq "datetime">
									#TimeFormat(Evaluate(CurrentItem),"short")#
								</cfif>
								</cfcase>
								<cfcase value="int">
								<cfif SummaryReport.Schema.Summary[i] eq 1 and SummaryReport.Schema.Summate[i] eq 1>
									<cfset ShowSummaryRow = true>
									<cfset "#CurrentItem#_Summation" = Evaluate("#CurrentItem#_Summation + #Evaluate(CurrentItem)#")>
								</cfif>
								<cfif SummaryReport.Schema.Subtype[i] eq "foreignkey" and ListGetAt(SummaryReport.Schema.Options[i],2) neq "-">
									<cfquery name="Relative" datasource="#Application.psDataSource#">
									select #ListGetAt(SummaryReport.Schema.Options[i],2)# as ThisValue from #ListGetAt(SummaryReport.Schema.Options[i],3)# where ID = #Evaluate(CurrentItem)#
									</cfquery>
									<div style="text-align:right;">#Relative.ThisValue#</div>
									<cfelse>
									<div style="text-align:right;">#Evaluate(CurrentItem)#</div>
								</cfif>
								</cfcase>
								<cfcase value="money">
								<cfif SummaryReport.Schema.Summary[i] eq 1 and SummaryReport.Schema.Summate[i] eq 1>
									<cfset ShowSummaryRow = true>
									<cfset "#CurrentItem#_Summation" = Evaluate("#CurrentItem#_Summation + #Evaluate(CurrentItem)#")>
								</cfif>
								<div style="text-align:right;">#DollarFormat(Val(Evaluate(CurrentItem)))#</div>
								</cfcase>
								<cfdefaultcase>
								#Evaluate(CurrentItem)#
								</cfdefaultcase>
							</cfswitch>
						</td>
					</cfif>
				</cfloop>
			</tr>
		</cfoutput>
		
		<!--- summary row for summations and averages --->
		<cfif ShowSummaryRow>
			<tr bgcolor="#eeeeee" style="font-weight:bold;">
				<cfloop from="1" to="#ListLen(ValueList(SummaryReport.Schema.FieldName))#" index="i">
					<cfif SummaryReport.Schema.Summary[i] eq 1>
						<cfif SummaryReport.Schema.Summate[i] eq 1>
							<cfset SumToDisplay = Evaluate("#SummaryReport.Schema.FieldName[i]#_Summation")>
							<td align="right" style="padding:2px 8px;border-top:1px solid black;border-bottom:1px solid black;"><cfif IsDefined("#SummaryReport.Schema.FieldName[i]#_Summation")><cfoutput><cfif SummaryReport.Schema.DataType[i] eq "money">#DollarFormat(SumToDisplay)#<cfelse>#SumToDisplay#</cfif></cfoutput></cfif></td>
  						<cfelse>
  						<td style="padding:2px 8px;border-top:1px solid black;border-bottom:1px solid black;">&nbsp;</td>
						</cfif>
					</cfif>
				</cfloop>
			</tr>
		</cfif>
